//=============================================================================
// Copyright (c) 2016-present Allan CORNET (Nelson)
//=============================================================================
// This file is part of the Nelson.
//=============================================================================
// LICENCE_BLOCK_BEGIN
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// Alternatively, you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this program. If not, see <http://www.gnu.org/licenses/>.
// LICENCE_BLOCK_END
//=============================================================================
#include <QtCore/qnamespace.h>
#include <map>
#include "QtConstants.hpp"
//=============================================================================
namespace Nelson {
//=============================================================================
static std::map<std::wstring, int> mapConstants;
//=============================================================================
static void
initializeQtConstantsMap()
{
    mapConstants[L"Qt.color0"] = Qt::color0;
    mapConstants[L"Qt.color1"] = Qt::color1;
    mapConstants[L"Qt.black"] = Qt::black;
    mapConstants[L"Qt.white"] = Qt::white;
    mapConstants[L"Qt.darkGray"] = Qt::darkGray;
    mapConstants[L"Qt.gray"] = Qt::gray;
    mapConstants[L"Qt.lightGray"] = Qt::lightGray;
    mapConstants[L"Qt.red"] = Qt::red;
    mapConstants[L"Qt.green"] = Qt::green;
    mapConstants[L"Qt.blue"] = Qt::blue;
    mapConstants[L"Qt.cyan"] = Qt::cyan;
    mapConstants[L"Qt.magenta"] = Qt::magenta;
    mapConstants[L"Qt.yellow"] = Qt::yellow;
    mapConstants[L"Qt.darkRed"] = Qt::darkRed;
    mapConstants[L"Qt.darkGreen"] = Qt::darkGreen;
    mapConstants[L"Qt.darkBlue"] = Qt::darkBlue;
    mapConstants[L"Qt.darkCyan"] = Qt::darkCyan;
    mapConstants[L"Qt.darkMagenta"] = Qt::darkMagenta;
    mapConstants[L"Qt.darkYellow"] = Qt::darkYellow;
    mapConstants[L"Qt.transparent"] = Qt::transparent;
    mapConstants[L"Qt.NoModifier"] = Qt::NoModifier;
    mapConstants[L"Qt.ShiftModifier"] = Qt::ShiftModifier;
    mapConstants[L"Qt.ControlModifier"] = Qt::ControlModifier;
    mapConstants[L"Qt.AltModifier"] = Qt::AltModifier;
    mapConstants[L"Qt.MetaModifier"] = Qt::MetaModifier;
    mapConstants[L"Qt.KeypadModifier"] = Qt::KeypadModifier;
    mapConstants[L"Qt.GroupSwitchModifier"] = Qt::GroupSwitchModifier;
    mapConstants[L"Qt.KeyboardModifierMask"] = Qt::KeyboardModifierMask;
    mapConstants[L"Qt.META"] = Qt::META;
    mapConstants[L"Qt.SHIFT"] = Qt::SHIFT;
    mapConstants[L"Qt.CTRL"] = Qt::CTRL;
    mapConstants[L"Qt.ALT"] = Qt::ALT;
    mapConstants[L"Qt.MODIFIER_MASK"] = Qt::MODIFIER_MASK;
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    mapConstants[L"Qt.UNICODE_ACCEL"] = Qt::UNICODE_ACCEL;
#endif
    mapConstants[L"Qt.NoButton"] = Qt::NoButton;
    mapConstants[L"Qt.LeftButton"] = Qt::LeftButton;
    mapConstants[L"Qt.RightButton"] = Qt::RightButton;
    mapConstants[L"Qt.MiddleButton"] = Qt::MiddleButton;
    mapConstants[L"Qt.BackButton"] = Qt::BackButton;
    mapConstants[L"Qt.XButton1"] = Qt::XButton1;
    mapConstants[L"Qt.ExtraButton1"] = Qt::ExtraButton1;
    mapConstants[L"Qt.ForwardButton"] = Qt::ForwardButton;
    mapConstants[L"Qt.XButton2"] = Qt::XButton2;
    mapConstants[L"Qt.ExtraButton2"] = Qt::ExtraButton2;
    mapConstants[L"Qt.TaskButton"] = Qt::TaskButton;
    mapConstants[L"Qt.ExtraButton3"] = Qt::ExtraButton3;
    mapConstants[L"Qt.ExtraButton4"] = Qt::ExtraButton4;
    mapConstants[L"Qt.ExtraButton5"] = Qt::ExtraButton5;
    mapConstants[L"Qt.ExtraButton6"] = Qt::ExtraButton6;
    mapConstants[L"Qt.ExtraButton7"] = Qt::ExtraButton7;
    mapConstants[L"Qt.ExtraButton8"] = Qt::ExtraButton8;
    mapConstants[L"Qt.ExtraButton9"] = Qt::ExtraButton9;
    mapConstants[L"Qt.ExtraButton10"] = Qt::ExtraButton10;
    mapConstants[L"Qt.ExtraButton11"] = Qt::ExtraButton11;
    mapConstants[L"Qt.ExtraButton12"] = Qt::ExtraButton12;
    mapConstants[L"Qt.ExtraButton13"] = Qt::ExtraButton13;
    mapConstants[L"Qt.ExtraButton14"] = Qt::ExtraButton14;
    mapConstants[L"Qt.ExtraButton15"] = Qt::ExtraButton15;
    mapConstants[L"Qt.ExtraButton16"] = Qt::ExtraButton16;
    mapConstants[L"Qt.ExtraButton17"] = Qt::ExtraButton17;
    mapConstants[L"Qt.ExtraButton18"] = Qt::ExtraButton18;
    mapConstants[L"Qt.ExtraButton19"] = Qt::ExtraButton19;
    mapConstants[L"Qt.ExtraButton20"] = Qt::ExtraButton20;
    mapConstants[L"Qt.ExtraButton21"] = Qt::ExtraButton21;
    mapConstants[L"Qt.ExtraButton22"] = Qt::ExtraButton22;
    mapConstants[L"Qt.ExtraButton23"] = Qt::ExtraButton23;
    mapConstants[L"Qt.ExtraButton24"] = Qt::ExtraButton24;
    mapConstants[L"Qt.AllButtons"] = Qt::AllButtons;
    mapConstants[L"Qt.MaxMouseButton"] = Qt::MaxMouseButton;
    mapConstants[L"Qt.MouseButtonMask"] = Qt::MouseButtonMask;
    mapConstants[L"Qt.Horizontal"] = Qt::Horizontal;
    mapConstants[L"Qt.Vertical"] = Qt::Vertical;
    mapConstants[L"Qt.NoFocus"] = Qt::NoFocus;
    mapConstants[L"Qt.TabFocus"] = Qt::TabFocus;
    mapConstants[L"Qt.ClickFocus"] = Qt::ClickFocus;
    mapConstants[L"Qt.StrongFocus"] = Qt::StrongFocus;
    mapConstants[L"Qt.WheelFocus"] = Qt::WheelFocus;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.NoTabFocus"] = Qt::NoTabFocus;
    mapConstants[L"Qt.TabFocusTextControls"] = Qt::TabFocusTextControls;
    mapConstants[L"Qt.TabFocusListControls"] = Qt::TabFocusListControls;
    mapConstants[L"Qt.TabFocusAllControls"] = Qt::TabFocusAllControls;
#endif
    mapConstants[L"Qt.AscendingOrder"] = Qt::AscendingOrder;
    mapConstants[L"Qt.DescendingOrder"] = Qt::DescendingOrder;
    mapConstants[L"Qt.StretchTile"] = Qt::StretchTile;
    mapConstants[L"Qt.RepeatTile"] = Qt::RepeatTile;
    mapConstants[L"Qt.RoundTile"] = Qt::RoundTile;
    mapConstants[L"Qt.AlignLeft"] = Qt::AlignLeft;
    mapConstants[L"Qt.AlignLeading"] = Qt::AlignLeading;
    mapConstants[L"Qt.AlignRight"] = Qt::AlignRight;
    mapConstants[L"Qt.AlignTrailing"] = Qt::AlignTrailing;
    mapConstants[L"Qt.AlignHCenter"] = Qt::AlignHCenter;
    mapConstants[L"Qt.AlignJustify"] = Qt::AlignJustify;
    mapConstants[L"Qt.AlignAbsolute"] = Qt::AlignAbsolute;
    mapConstants[L"Qt.AlignHorizontal_Mask"] = Qt::AlignHorizontal_Mask;
    mapConstants[L"Qt.AlignTop"] = Qt::AlignTop;
    mapConstants[L"Qt.AlignBottom"] = Qt::AlignBottom;
    mapConstants[L"Qt.AlignVCenter"] = Qt::AlignVCenter;
    mapConstants[L"Qt.AlignBaseline"] = Qt::AlignBaseline;
    mapConstants[L"Qt.AlignVertical_Mask"] = Qt::AlignVertical_Mask;
    mapConstants[L"Qt.AlignCenter"] = Qt::AlignCenter;
    mapConstants[L"Qt.TextSingleLine"] = Qt::TextSingleLine;
    mapConstants[L"Qt.TextDontClip"] = Qt::TextDontClip;
    mapConstants[L"Qt.TextExpandTabs"] = Qt::TextExpandTabs;
    mapConstants[L"Qt.TextShowMnemonic"] = Qt::TextShowMnemonic;
    mapConstants[L"Qt.TextWordWrap"] = Qt::TextWordWrap;
    mapConstants[L"Qt.TextWrapAnywhere"] = Qt::TextWrapAnywhere;
    mapConstants[L"Qt.TextDontPrint"] = Qt::TextDontPrint;
    mapConstants[L"Qt.TextIncludeTrailingSpaces"] = Qt::TextIncludeTrailingSpaces;
    mapConstants[L"Qt.TextHideMnemonic"] = Qt::TextHideMnemonic;
    mapConstants[L"Qt.TextJustificationForced"] = Qt::TextJustificationForced;
    mapConstants[L"Qt.TextForceLeftToRight"] = Qt::TextForceLeftToRight;
    mapConstants[L"Qt.TextForceRightToLeft"] = Qt::TextForceRightToLeft;
    mapConstants[L"Qt.TextLongestVariant"] = Qt::TextLongestVariant;
    mapConstants[L"Qt.ElideLeft"] = Qt::ElideLeft;
    mapConstants[L"Qt.ElideRight"] = Qt::ElideRight;
    mapConstants[L"Qt.ElideMiddle"] = Qt::ElideMiddle;
    mapConstants[L"Qt.ElideNone"] = Qt::ElideNone;
    mapConstants[L"Qt.WhiteSpaceNormal"] = Qt::WhiteSpaceNormal;
    mapConstants[L"Qt.WhiteSpacePre"] = Qt::WhiteSpacePre;
    mapConstants[L"Qt.WhiteSpaceNoWrap"] = Qt::WhiteSpaceNoWrap;
    mapConstants[L"Qt.WhiteSpaceModeUndefined"] = Qt::WhiteSpaceModeUndefined;
    mapConstants[L"Qt.ExactHit"] = Qt::ExactHit;
    mapConstants[L"Qt.FuzzyHit"] = Qt::FuzzyHit;
    mapConstants[L"Qt.Widget"] = Qt::Widget;
    mapConstants[L"Qt.Window"] = Qt::Window;
    mapConstants[L"Qt.Dialog"] = Qt::Dialog;
    mapConstants[L"Qt.Sheet"] = Qt::Sheet;
    mapConstants[L"Qt.Drawer"] = Qt::Drawer;
    mapConstants[L"Qt.Popup"] = Qt::Popup;
    mapConstants[L"Qt.Tool"] = Qt::Tool;
    mapConstants[L"Qt.ToolTip"] = Qt::ToolTip;
    mapConstants[L"Qt.SplashScreen"] = Qt::SplashScreen;
    mapConstants[L"Qt.Desktop"] = Qt::Desktop;
    mapConstants[L"Qt.SubWindow"] = Qt::SubWindow;
    mapConstants[L"Qt.ForeignWindow"] = Qt::ForeignWindow;
    mapConstants[L"Qt.CoverWindow"] = Qt::CoverWindow;
    mapConstants[L"Qt.WindowType_Mask"] = Qt::WindowType_Mask;
    mapConstants[L"Qt.MSWindowsFixedSizeDialogHint"] = Qt::MSWindowsFixedSizeDialogHint;
    mapConstants[L"Qt.MSWindowsOwnDC"] = Qt::MSWindowsOwnDC;
    mapConstants[L"Qt.BypassWindowManagerHint"] = Qt::BypassWindowManagerHint;
    mapConstants[L"Qt.X11BypassWindowManagerHint"] = Qt::X11BypassWindowManagerHint;
    mapConstants[L"Qt.FramelessWindowHint"] = Qt::FramelessWindowHint;
    mapConstants[L"Qt.WindowTitleHint"] = Qt::WindowTitleHint;
    mapConstants[L"Qt.WindowSystemMenuHint"] = Qt::WindowSystemMenuHint;
    mapConstants[L"Qt.WindowMinimizeButtonHint"] = Qt::WindowMinimizeButtonHint;
    mapConstants[L"Qt.WindowMaximizeButtonHint"] = Qt::WindowMaximizeButtonHint;
    mapConstants[L"Qt.WindowMinMaxButtonsHint"] = Qt::WindowMinMaxButtonsHint;
    mapConstants[L"Qt.WindowContextHelpButtonHint"] = Qt::WindowContextHelpButtonHint;
    mapConstants[L"Qt.WindowShadeButtonHint"] = Qt::WindowShadeButtonHint;
    mapConstants[L"Qt.WindowStaysOnTopHint"] = Qt::WindowStaysOnTopHint;
    mapConstants[L"Qt.WindowTransparentForInput"] = Qt::WindowTransparentForInput;
    mapConstants[L"Qt.WindowOverridesSystemGestures"] = Qt::WindowOverridesSystemGestures;
    mapConstants[L"Qt.WindowDoesNotAcceptFocus"] = Qt::WindowDoesNotAcceptFocus;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.MaximizeUsingFullscreenGeometryHint"]
        = Qt::MaximizeUsingFullscreenGeometryHint;
#endif
    mapConstants[L"Qt.CustomizeWindowHint"] = Qt::CustomizeWindowHint;
    mapConstants[L"Qt.WindowStaysOnBottomHint"] = Qt::WindowStaysOnBottomHint;
    mapConstants[L"Qt.WindowCloseButtonHint"] = Qt::WindowCloseButtonHint;
    mapConstants[L"Qt.MacWindowToolBarButtonHint"] = Qt::MacWindowToolBarButtonHint;
    mapConstants[L"Qt.BypassGraphicsProxyWidget"] = Qt::BypassGraphicsProxyWidget;
    mapConstants[L"Qt.NoDropShadowWindowHint"] = Qt::NoDropShadowWindowHint;
    mapConstants[L"Qt.WindowFullscreenButtonHint"] = Qt::WindowFullscreenButtonHint;
    mapConstants[L"Qt.WindowNoState"] = Qt::WindowNoState;
    mapConstants[L"Qt.WindowMinimized"] = Qt::WindowMinimized;
    mapConstants[L"Qt.WindowMaximized"] = Qt::WindowMaximized;
    mapConstants[L"Qt.WindowFullScreen"] = Qt::WindowFullScreen;
    mapConstants[L"Qt.WindowActive"] = Qt::WindowActive;
    mapConstants[L"Qt.ApplicationSuspended"] = Qt::ApplicationSuspended;
    mapConstants[L"Qt.ApplicationHidden"] = Qt::ApplicationHidden;
    mapConstants[L"Qt.ApplicationInactive"] = Qt::ApplicationInactive;
    mapConstants[L"Qt.ApplicationActive"] = Qt::ApplicationActive;
    mapConstants[L"Qt.PrimaryOrientation"] = Qt::PrimaryOrientation;
    mapConstants[L"Qt.PortraitOrientation"] = Qt::PortraitOrientation;
    mapConstants[L"Qt.LandscapeOrientation"] = Qt::LandscapeOrientation;
    mapConstants[L"Qt.InvertedPortraitOrientation"] = Qt::InvertedPortraitOrientation;
    mapConstants[L"Qt.InvertedLandscapeOrientation"] = Qt::InvertedLandscapeOrientation;
    mapConstants[L"Qt.WA_Disabled"] = Qt::WA_Disabled;
    mapConstants[L"Qt.WA_UnderMouse"] = Qt::WA_UnderMouse;
    mapConstants[L"Qt.WA_MouseTracking"] = Qt::WA_MouseTracking;
    mapConstants[L"Qt.WA_OpaquePaintEvent"] = Qt::WA_OpaquePaintEvent;
    mapConstants[L"Qt.WA_StaticContents"] = Qt::WA_StaticContents;
    mapConstants[L"Qt.WA_LaidOut"] = Qt::WA_LaidOut;
    mapConstants[L"Qt.WA_PaintOnScreen"] = Qt::WA_PaintOnScreen;
    mapConstants[L"Qt.WA_NoSystemBackground"] = Qt::WA_NoSystemBackground;
    mapConstants[L"Qt.WA_UpdatesDisabled"] = Qt::WA_UpdatesDisabled;
    mapConstants[L"Qt.WA_Mapped"] = Qt::WA_Mapped;
    mapConstants[L"Qt.WA_InputMethodEnabled"] = Qt::WA_InputMethodEnabled;
    mapConstants[L"Qt.WA_WState_Visible"] = Qt::WA_WState_Visible;
    mapConstants[L"Qt.WA_WState_Hidden"] = Qt::WA_WState_Hidden;
    mapConstants[L"Qt.WA_ForceDisabled"] = Qt::WA_ForceDisabled;
    mapConstants[L"Qt.WA_KeyCompression"] = Qt::WA_KeyCompression;
    mapConstants[L"Qt.WA_PendingMoveEvent"] = Qt::WA_PendingMoveEvent;
    mapConstants[L"Qt.WA_PendingResizeEvent"] = Qt::WA_PendingResizeEvent;
    mapConstants[L"Qt.WA_SetPalette"] = Qt::WA_SetPalette;
    mapConstants[L"Qt.WA_SetFont"] = Qt::WA_SetFont;
    mapConstants[L"Qt.WA_SetCursor"] = Qt::WA_SetCursor;
    mapConstants[L"Qt.WA_NoChildEventsFromChildren"] = Qt::WA_NoChildEventsFromChildren;
    mapConstants[L"Qt.WA_WindowModified"] = Qt::WA_WindowModified;
    mapConstants[L"Qt.WA_Resized"] = Qt::WA_Resized;
    mapConstants[L"Qt.WA_Moved"] = Qt::WA_Moved;
    mapConstants[L"Qt.WA_PendingUpdate"] = Qt::WA_PendingUpdate;
    mapConstants[L"Qt.WA_InvalidSize"] = Qt::WA_InvalidSize;
    mapConstants[L"Qt.WA_CustomWhatsThis"] = Qt::WA_CustomWhatsThis;
    mapConstants[L"Qt.WA_LayoutOnEntireRect"] = Qt::WA_LayoutOnEntireRect;
    mapConstants[L"Qt.WA_OutsideWSRange"] = Qt::WA_OutsideWSRange;
    mapConstants[L"Qt.WA_GrabbedShortcut"] = Qt::WA_GrabbedShortcut;
    mapConstants[L"Qt.WA_TransparentForMouseEvents"] = Qt::WA_TransparentForMouseEvents;
    mapConstants[L"Qt.WA_PaintUnclipped"] = Qt::WA_PaintUnclipped;
    mapConstants[L"Qt.WA_SetWindowIcon"] = Qt::WA_SetWindowIcon;
    mapConstants[L"Qt.WA_NoMouseReplay"] = Qt::WA_NoMouseReplay;
    mapConstants[L"Qt.WA_DeleteOnClose"] = Qt::WA_DeleteOnClose;
    mapConstants[L"Qt.WA_RightToLeft"] = Qt::WA_RightToLeft;
    mapConstants[L"Qt.WA_SetLayoutDirection"] = Qt::WA_SetLayoutDirection;
    mapConstants[L"Qt.WA_NoChildEventsForParent"] = Qt::WA_NoChildEventsForParent;
    mapConstants[L"Qt.WA_ForceUpdatesDisabled"] = Qt::WA_ForceUpdatesDisabled;
    mapConstants[L"Qt.WA_WState_Created"] = Qt::WA_WState_Created;
    mapConstants[L"Qt.WA_WState_CompressKeys"] = Qt::WA_WState_CompressKeys;
    mapConstants[L"Qt.WA_WState_InPaintEvent"] = Qt::WA_WState_InPaintEvent;
    mapConstants[L"Qt.WA_WState_Reparented"] = Qt::WA_WState_Reparented;
    mapConstants[L"Qt.WA_WState_ConfigPending"] = Qt::WA_WState_ConfigPending;
    mapConstants[L"Qt.WA_WState_Polished"] = Qt::WA_WState_Polished;
    mapConstants[L"Qt.WA_WState_OwnSizePolicy"] = Qt::WA_WState_OwnSizePolicy;
    mapConstants[L"Qt.WA_WState_ExplicitShowHide"] = Qt::WA_WState_ExplicitShowHide;
    mapConstants[L"Qt.WA_ShowModal"] = Qt::WA_ShowModal;
    mapConstants[L"Qt.WA_MouseNoMask"] = Qt::WA_MouseNoMask;
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    mapConstants[L"Qt.WA_GroupLeader"] = Qt::WA_GroupLeader;
#endif
    mapConstants[L"Qt.WA_NoMousePropagation"] = Qt::WA_NoMousePropagation;
    mapConstants[L"Qt.WA_Hover"] = Qt::WA_Hover;
    mapConstants[L"Qt.WA_InputMethodTransparent"] = Qt::WA_InputMethodTransparent;
    mapConstants[L"Qt.WA_QuitOnClose"] = Qt::WA_QuitOnClose;
    mapConstants[L"Qt.WA_KeyboardFocusChange"] = Qt::WA_KeyboardFocusChange;
    mapConstants[L"Qt.WA_AcceptDrops"] = Qt::WA_AcceptDrops;
    mapConstants[L"Qt.WA_DropSiteRegistered"] = Qt::WA_DropSiteRegistered;
    mapConstants[L"Qt.WA_WindowPropagation"] = Qt::WA_WindowPropagation;
    mapConstants[L"Qt.WA_NoX11EventCompression"] = Qt::WA_NoX11EventCompression;
    mapConstants[L"Qt.WA_TintedBackground"] = Qt::WA_TintedBackground;
    mapConstants[L"Qt.WA_X11OpenGLOverlay"] = Qt::WA_X11OpenGLOverlay;
    mapConstants[L"Qt.WA_AlwaysShowToolTips"] = Qt::WA_AlwaysShowToolTips;
    mapConstants[L"Qt.WA_MacOpaqueSizeGrip"] = Qt::WA_MacOpaqueSizeGrip;
    mapConstants[L"Qt.WA_SetStyle"] = Qt::WA_SetStyle;
    mapConstants[L"Qt.WA_SetLocale"] = Qt::WA_SetLocale;
    mapConstants[L"Qt.WA_MacShowFocusRect"] = Qt::WA_MacShowFocusRect;
    mapConstants[L"Qt.WA_MacNormalSize"] = Qt::WA_MacNormalSize;
    mapConstants[L"Qt.WA_MacSmallSize"] = Qt::WA_MacSmallSize;
    mapConstants[L"Qt.WA_MacMiniSize"] = Qt::WA_MacMiniSize;
    mapConstants[L"Qt.WA_LayoutUsesWidgetRect"] = Qt::WA_LayoutUsesWidgetRect;
    mapConstants[L"Qt.WA_StyledBackground"] = Qt::WA_StyledBackground;
    mapConstants[L"Qt.WA_CanHostQMdiSubWindowTitleBar"] = Qt::WA_CanHostQMdiSubWindowTitleBar;
    mapConstants[L"Qt.WA_MacAlwaysShowToolWindow"] = Qt::WA_MacAlwaysShowToolWindow;
    mapConstants[L"Qt.WA_StyleSheet"] = Qt::WA_StyleSheet;
    mapConstants[L"Qt.WA_ShowWithoutActivating"] = Qt::WA_ShowWithoutActivating;
    mapConstants[L"Qt.WA_X11BypassTransientForHint"] = Qt::WA_X11BypassTransientForHint;
    mapConstants[L"Qt.WA_NativeWindow"] = Qt::WA_NativeWindow;
    mapConstants[L"Qt.WA_DontCreateNativeAncestors"] = Qt::WA_DontCreateNativeAncestors;
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    mapConstants[L"Qt.WA_MacVariableSize"] = Qt::WA_MacVariableSize;
#endif
    mapConstants[L"Qt.WA_DontShowOnScreen"] = Qt::WA_DontShowOnScreen;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeDesktop"] = Qt::WA_X11NetWmWindowTypeDesktop;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeDock"] = Qt::WA_X11NetWmWindowTypeDock;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeToolBar"] = Qt::WA_X11NetWmWindowTypeToolBar;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeMenu"] = Qt::WA_X11NetWmWindowTypeMenu;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeUtility"] = Qt::WA_X11NetWmWindowTypeUtility;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeSplash"] = Qt::WA_X11NetWmWindowTypeSplash;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeDialog"] = Qt::WA_X11NetWmWindowTypeDialog;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeDropDownMenu"] = Qt::WA_X11NetWmWindowTypeDropDownMenu;
    mapConstants[L"Qt.WA_X11NetWmWindowTypePopupMenu"] = Qt::WA_X11NetWmWindowTypePopupMenu;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeToolTip"] = Qt::WA_X11NetWmWindowTypeToolTip;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeNotification"] = Qt::WA_X11NetWmWindowTypeNotification;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeCombo"] = Qt::WA_X11NetWmWindowTypeCombo;
    mapConstants[L"Qt.WA_X11NetWmWindowTypeDND"] = Qt::WA_X11NetWmWindowTypeDND;
    mapConstants[L"Qt.WA_SetWindowModality"] = Qt::WA_SetWindowModality;
    mapConstants[L"Qt.WA_WState_WindowOpacitySet"] = Qt::WA_WState_WindowOpacitySet;
    mapConstants[L"Qt.WA_TranslucentBackground"] = Qt::WA_TranslucentBackground;
    mapConstants[L"Qt.WA_AcceptTouchEvents"] = Qt::WA_AcceptTouchEvents;
    mapConstants[L"Qt.WA_WState_AcceptedTouchBeginEvent"] = Qt::WA_WState_AcceptedTouchBeginEvent;
    mapConstants[L"Qt.WA_TouchPadAcceptSingleTouchEvents"] = Qt::WA_TouchPadAcceptSingleTouchEvents;
    mapConstants[L"Qt.WA_X11DoNotAcceptFocus"] = Qt::WA_X11DoNotAcceptFocus;
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    mapConstants[L"Qt.WA_MacNoShadow"] = Qt::WA_MacNoShadow;
#endif

#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.WA_AlwaysStackOnTop"] = Qt::WA_AlwaysStackOnTop;
    mapConstants[L"Qt.WA_TabletTracking"] = Qt::WA_TabletTracking;
    mapConstants[L"Qt.WA_ContentsMarginsRespectsSafeArea"] = Qt::WA_ContentsMarginsRespectsSafeArea;
    mapConstants[L"Qt.WA_AttributeCount"] = Qt::WA_AttributeCount;
#endif
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    mapConstants[L"Qt.AA_ImmediateWidgetCreation"] = Qt::AA_ImmediateWidgetCreation;
#endif
    mapConstants[L"Qt.AA_DontShowIconsInMenus"] = Qt::AA_DontShowIconsInMenus;
    mapConstants[L"Qt.AA_NativeWindows"] = Qt::AA_NativeWindows;
    mapConstants[L"Qt.AA_DontCreateNativeWidgetSiblings"] = Qt::AA_DontCreateNativeWidgetSiblings;

#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.AA_PluginApplication"] = Qt::AA_PluginApplication;
#endif
    mapConstants[L"Qt.AA_DontUseNativeMenuBar"] = Qt::AA_DontUseNativeMenuBar;
    mapConstants[L"Qt.AA_MacDontSwapCtrlAndMeta"] = Qt::AA_MacDontSwapCtrlAndMeta;
    mapConstants[L"Qt.AA_Use96Dpi"] = Qt::AA_Use96Dpi;
    mapConstants[L"Qt.AA_SynthesizeTouchForUnhandledMouseEvents"]
        = Qt::AA_SynthesizeTouchForUnhandledMouseEvents;
    mapConstants[L"Qt.AA_SynthesizeMouseForUnhandledTouchEvents"]
        = Qt::AA_SynthesizeMouseForUnhandledTouchEvents;
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    mapConstants[L"Qt.AA_UseHighDpiPixmaps"] = Qt::AA_UseHighDpiPixmaps;
#endif
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.AA_ForceRasterWidgets"] = Qt::AA_ForceRasterWidgets;
    mapConstants[L"Qt.AA_UseDesktopOpenGL"] = Qt::AA_UseDesktopOpenGL;
    mapConstants[L"Qt.AA_UseOpenGLES"] = Qt::AA_UseOpenGLES;
    mapConstants[L"Qt.AA_UseSoftwareOpenGL"] = Qt::AA_UseSoftwareOpenGL;
    mapConstants[L"Qt.AA_ShareOpenGLContexts"] = Qt::AA_ShareOpenGLContexts;
    mapConstants[L"Qt.AA_SetPalette"] = Qt::AA_SetPalette;
#endif
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.AA_EnableHighDpiScaling"] = Qt::AA_EnableHighDpiScaling;
    mapConstants[L"Qt.AA_DisableHighDpiScaling"] = Qt::AA_DisableHighDpiScaling;
#endif
#endif
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.AA_UseStyleSheetPropagationInWidgetStyles"]
        = Qt::AA_UseStyleSheetPropagationInWidgetStyles;
    mapConstants[L"Qt.AA_DontUseNativeDialogs"] = Qt::AA_DontUseNativeDialogs;
    mapConstants[L"Qt.AA_SynthesizeMouseForUnhandledTabletEvents"]
        = Qt::AA_SynthesizeMouseForUnhandledTabletEvents;
    mapConstants[L"Qt.AA_CompressHighFrequencyEvents"] = Qt::AA_CompressHighFrequencyEvents;
    mapConstants[L"Qt.AA_DontCheckOpenGLContextThreadAffinity"]
        = Qt::AA_DontCheckOpenGLContextThreadAffinity;
    mapConstants[L"Qt.AA_DisableShaderDiskCache"] = Qt::AA_DisableShaderDiskCache;
#endif

    mapConstants[L"Qt.AA_AttributeCount"] = Qt::AA_AttributeCount;
    mapConstants[L"Qt.ColorMode_Mask"] = Qt::ColorMode_Mask;
    mapConstants[L"Qt.AutoColor"] = Qt::AutoColor;
    mapConstants[L"Qt.ColorOnly"] = Qt::ColorOnly;
    mapConstants[L"Qt.MonoOnly"] = Qt::MonoOnly;
    mapConstants[L"Qt.AlphaDither_Mask"] = Qt::AlphaDither_Mask;
    mapConstants[L"Qt.ThresholdAlphaDither"] = Qt::ThresholdAlphaDither;
    mapConstants[L"Qt.OrderedAlphaDither"] = Qt::OrderedAlphaDither;
    mapConstants[L"Qt.DiffuseAlphaDither"] = Qt::DiffuseAlphaDither;
    mapConstants[L"Qt.NoAlpha"] = Qt::NoAlpha;
    mapConstants[L"Qt.Dither_Mask"] = Qt::Dither_Mask;
    mapConstants[L"Qt.DiffuseDither"] = Qt::DiffuseDither;
    mapConstants[L"Qt.OrderedDither"] = Qt::OrderedDither;
    mapConstants[L"Qt.ThresholdDither"] = Qt::ThresholdDither;
    mapConstants[L"Qt.DitherMode_Mask"] = Qt::DitherMode_Mask;
    mapConstants[L"Qt.AutoDither"] = Qt::AutoDither;
    mapConstants[L"Qt.PreferDither"] = Qt::PreferDither;
    mapConstants[L"Qt.AvoidDither"] = Qt::AvoidDither;
    mapConstants[L"Qt.NoOpaqueDetection"] = Qt::NoOpaqueDetection;
    mapConstants[L"Qt.NoFormatConversion"] = Qt::NoFormatConversion;
    mapConstants[L"Qt.TransparentMode"] = Qt::TransparentMode;
    mapConstants[L"Qt.OpaqueMode"] = Qt::OpaqueMode;
    mapConstants[L"Qt.Key_Escape"] = Qt::Key_Escape;
    mapConstants[L"Qt.Key_Tab"] = Qt::Key_Tab;
    mapConstants[L"Qt.Key_Backtab"] = Qt::Key_Backtab;
    mapConstants[L"Qt.Key_Backspace"] = Qt::Key_Backspace;
    mapConstants[L"Qt.Key_Return"] = Qt::Key_Return;
    mapConstants[L"Qt.Key_Enter"] = Qt::Key_Enter;
    mapConstants[L"Qt.Key_Insert"] = Qt::Key_Insert;
    mapConstants[L"Qt.Key_Delete"] = Qt::Key_Delete;
    mapConstants[L"Qt.Key_Pause"] = Qt::Key_Pause;
    mapConstants[L"Qt.Key_Print"] = Qt::Key_Print;
    mapConstants[L"Qt.Key_SysReq"] = Qt::Key_SysReq;
    mapConstants[L"Qt.Key_Clear"] = Qt::Key_Clear;
    mapConstants[L"Qt.Key_Home"] = Qt::Key_Home;
    mapConstants[L"Qt.Key_End"] = Qt::Key_End;
    mapConstants[L"Qt.Key_Left"] = Qt::Key_Left;
    mapConstants[L"Qt.Key_Up"] = Qt::Key_Up;
    mapConstants[L"Qt.Key_Right"] = Qt::Key_Right;
    mapConstants[L"Qt.Key_Down"] = Qt::Key_Down;
    mapConstants[L"Qt.Key_PageUp"] = Qt::Key_PageUp;
    mapConstants[L"Qt.Key_PageDown"] = Qt::Key_PageDown;
    mapConstants[L"Qt.Key_Shift"] = Qt::Key_Shift;
    mapConstants[L"Qt.Key_Control"] = Qt::Key_Control;
    mapConstants[L"Qt.Key_Meta"] = Qt::Key_Meta;
    mapConstants[L"Qt.Key_Alt"] = Qt::Key_Alt;
    mapConstants[L"Qt.Key_CapsLock"] = Qt::Key_CapsLock;
    mapConstants[L"Qt.Key_NumLock"] = Qt::Key_NumLock;
    mapConstants[L"Qt.Key_ScrollLock"] = Qt::Key_ScrollLock;
    mapConstants[L"Qt.Key_F1"] = Qt::Key_F1;
    mapConstants[L"Qt.Key_F2"] = Qt::Key_F2;
    mapConstants[L"Qt.Key_F3"] = Qt::Key_F3;
    mapConstants[L"Qt.Key_F4"] = Qt::Key_F4;
    mapConstants[L"Qt.Key_F5"] = Qt::Key_F5;
    mapConstants[L"Qt.Key_F6"] = Qt::Key_F6;
    mapConstants[L"Qt.Key_F7"] = Qt::Key_F7;
    mapConstants[L"Qt.Key_F8"] = Qt::Key_F8;
    mapConstants[L"Qt.Key_F9"] = Qt::Key_F9;
    mapConstants[L"Qt.Key_F10"] = Qt::Key_F10;
    mapConstants[L"Qt.Key_F11"] = Qt::Key_F11;
    mapConstants[L"Qt.Key_F12"] = Qt::Key_F12;
    mapConstants[L"Qt.Key_F13"] = Qt::Key_F13;
    mapConstants[L"Qt.Key_F14"] = Qt::Key_F14;
    mapConstants[L"Qt.Key_F15"] = Qt::Key_F15;
    mapConstants[L"Qt.Key_F16"] = Qt::Key_F16;
    mapConstants[L"Qt.Key_F17"] = Qt::Key_F17;
    mapConstants[L"Qt.Key_F18"] = Qt::Key_F18;
    mapConstants[L"Qt.Key_F19"] = Qt::Key_F19;
    mapConstants[L"Qt.Key_F20"] = Qt::Key_F20;
    mapConstants[L"Qt.Key_F21"] = Qt::Key_F21;
    mapConstants[L"Qt.Key_F22"] = Qt::Key_F22;
    mapConstants[L"Qt.Key_F23"] = Qt::Key_F23;
    mapConstants[L"Qt.Key_F24"] = Qt::Key_F24;
    mapConstants[L"Qt.Key_F25"] = Qt::Key_F25;
    mapConstants[L"Qt.Key_F26"] = Qt::Key_F26;
    mapConstants[L"Qt.Key_F27"] = Qt::Key_F27;
    mapConstants[L"Qt.Key_F28"] = Qt::Key_F28;
    mapConstants[L"Qt.Key_F29"] = Qt::Key_F29;
    mapConstants[L"Qt.Key_F30"] = Qt::Key_F30;
    mapConstants[L"Qt.Key_F31"] = Qt::Key_F31;
    mapConstants[L"Qt.Key_F32"] = Qt::Key_F32;
    mapConstants[L"Qt.Key_F33"] = Qt::Key_F33;
    mapConstants[L"Qt.Key_F34"] = Qt::Key_F34;
    mapConstants[L"Qt.Key_F35"] = Qt::Key_F35;
    mapConstants[L"Qt.Key_Super_L"] = Qt::Key_Super_L;
    mapConstants[L"Qt.Key_Super_R"] = Qt::Key_Super_R;
    mapConstants[L"Qt.Key_Menu"] = Qt::Key_Menu;
    mapConstants[L"Qt.Key_Hyper_L"] = Qt::Key_Hyper_L;
    mapConstants[L"Qt.Key_Hyper_R"] = Qt::Key_Hyper_R;
    mapConstants[L"Qt.Key_Help"] = Qt::Key_Help;
    mapConstants[L"Qt.Key_Direction_L"] = Qt::Key_Direction_L;
    mapConstants[L"Qt.Key_Direction_R"] = Qt::Key_Direction_R;
    mapConstants[L"Qt.Key_Space"] = Qt::Key_Space;
    mapConstants[L"Qt.Key_Any"] = Qt::Key_Any;
    mapConstants[L"Qt.Key_Exclam"] = Qt::Key_Exclam;
    mapConstants[L"Qt.Key_QuoteDbl"] = Qt::Key_QuoteDbl;
    mapConstants[L"Qt.Key_NumberSign"] = Qt::Key_NumberSign;
    mapConstants[L"Qt.Key_Dollar"] = Qt::Key_Dollar;
    mapConstants[L"Qt.Key_Percent"] = Qt::Key_Percent;
    mapConstants[L"Qt.Key_Ampersand"] = Qt::Key_Ampersand;
    mapConstants[L"Qt.Key_Apostrophe"] = Qt::Key_Apostrophe;
    mapConstants[L"Qt.Key_ParenLeft"] = Qt::Key_ParenLeft;
    mapConstants[L"Qt.Key_ParenRight"] = Qt::Key_ParenRight;
    mapConstants[L"Qt.Key_Asterisk"] = Qt::Key_Asterisk;
    mapConstants[L"Qt.Key_Plus"] = Qt::Key_Plus;
    mapConstants[L"Qt.Key_Comma"] = Qt::Key_Comma;
    mapConstants[L"Qt.Key_Minus"] = Qt::Key_Minus;
    mapConstants[L"Qt.Key_Period"] = Qt::Key_Period;
    mapConstants[L"Qt.Key_Slash"] = Qt::Key_Slash;
    mapConstants[L"Qt.Key_0"] = Qt::Key_0;
    mapConstants[L"Qt.Key_1"] = Qt::Key_1;
    mapConstants[L"Qt.Key_2"] = Qt::Key_2;
    mapConstants[L"Qt.Key_3"] = Qt::Key_3;
    mapConstants[L"Qt.Key_4"] = Qt::Key_4;
    mapConstants[L"Qt.Key_5"] = Qt::Key_5;
    mapConstants[L"Qt.Key_6"] = Qt::Key_6;
    mapConstants[L"Qt.Key_7"] = Qt::Key_7;
    mapConstants[L"Qt.Key_8"] = Qt::Key_8;
    mapConstants[L"Qt.Key_9"] = Qt::Key_9;
    mapConstants[L"Qt.Key_Colon"] = Qt::Key_Colon;
    mapConstants[L"Qt.Key_Semicolon"] = Qt::Key_Semicolon;
    mapConstants[L"Qt.Key_Less"] = Qt::Key_Less;
    mapConstants[L"Qt.Key_Equal"] = Qt::Key_Equal;
    mapConstants[L"Qt.Key_Greater"] = Qt::Key_Greater;
    mapConstants[L"Qt.Key_Question"] = Qt::Key_Question;
    mapConstants[L"Qt.Key_At"] = Qt::Key_At;
    mapConstants[L"Qt.Key_A"] = Qt::Key_A;
    mapConstants[L"Qt.Key_B"] = Qt::Key_B;
    mapConstants[L"Qt.Key_C"] = Qt::Key_C;
    mapConstants[L"Qt.Key_D"] = Qt::Key_D;
    mapConstants[L"Qt.Key_E"] = Qt::Key_E;
    mapConstants[L"Qt.Key_F"] = Qt::Key_F;
    mapConstants[L"Qt.Key_G"] = Qt::Key_G;
    mapConstants[L"Qt.Key_H"] = Qt::Key_H;
    mapConstants[L"Qt.Key_I"] = Qt::Key_I;
    mapConstants[L"Qt.Key_J"] = Qt::Key_J;
    mapConstants[L"Qt.Key_K"] = Qt::Key_K;
    mapConstants[L"Qt.Key_L"] = Qt::Key_L;
    mapConstants[L"Qt.Key_M"] = Qt::Key_M;
    mapConstants[L"Qt.Key_N"] = Qt::Key_N;
    mapConstants[L"Qt.Key_O"] = Qt::Key_O;
    mapConstants[L"Qt.Key_P"] = Qt::Key_P;
    mapConstants[L"Qt.Key_Q"] = Qt::Key_Q;
    mapConstants[L"Qt.Key_R"] = Qt::Key_R;
    mapConstants[L"Qt.Key_S"] = Qt::Key_S;
    mapConstants[L"Qt.Key_T"] = Qt::Key_T;
    mapConstants[L"Qt.Key_U"] = Qt::Key_U;
    mapConstants[L"Qt.Key_V"] = Qt::Key_V;
    mapConstants[L"Qt.Key_W"] = Qt::Key_W;
    mapConstants[L"Qt.Key_X"] = Qt::Key_X;
    mapConstants[L"Qt.Key_Y"] = Qt::Key_Y;
    mapConstants[L"Qt.Key_Z"] = Qt::Key_Z;
    mapConstants[L"Qt.Key_BracketLeft"] = Qt::Key_BracketLeft;
    mapConstants[L"Qt.Key_Backslash"] = Qt::Key_Backslash;
    mapConstants[L"Qt.Key_BracketRight"] = Qt::Key_BracketRight;
    mapConstants[L"Qt.Key_AsciiCircum"] = Qt::Key_AsciiCircum;
    mapConstants[L"Qt.Key_Underscore"] = Qt::Key_Underscore;
    mapConstants[L"Qt.Key_QuoteLeft"] = Qt::Key_QuoteLeft;
    mapConstants[L"Qt.Key_BraceLeft"] = Qt::Key_BraceLeft;
    mapConstants[L"Qt.Key_Bar"] = Qt::Key_Bar;
    mapConstants[L"Qt.Key_BraceRight"] = Qt::Key_BraceRight;
    mapConstants[L"Qt.Key_AsciiTilde"] = Qt::Key_AsciiTilde;
    mapConstants[L"Qt.Key_nobreakspace"] = Qt::Key_nobreakspace;
    mapConstants[L"Qt.Key_exclamdown"] = Qt::Key_exclamdown;
    mapConstants[L"Qt.Key_cent"] = Qt::Key_cent;
    mapConstants[L"Qt.Key_sterling"] = Qt::Key_sterling;
    mapConstants[L"Qt.Key_currency"] = Qt::Key_currency;
    mapConstants[L"Qt.Key_yen"] = Qt::Key_yen;
    mapConstants[L"Qt.Key_brokenbar"] = Qt::Key_brokenbar;
    mapConstants[L"Qt.Key_section"] = Qt::Key_section;
    mapConstants[L"Qt.Key_diaeresis"] = Qt::Key_diaeresis;
    mapConstants[L"Qt.Key_copyright"] = Qt::Key_copyright;
    mapConstants[L"Qt.Key_ordfeminine"] = Qt::Key_ordfeminine;
    mapConstants[L"Qt.Key_guillemotleft"] = Qt::Key_guillemotleft;
    mapConstants[L"Qt.Key_notsign"] = Qt::Key_notsign;
    mapConstants[L"Qt.Key_hyphen"] = Qt::Key_hyphen;
    mapConstants[L"Qt.Key_registered"] = Qt::Key_registered;
    mapConstants[L"Qt.Key_macron"] = Qt::Key_macron;
    mapConstants[L"Qt.Key_degree"] = Qt::Key_degree;
    mapConstants[L"Qt.Key_plusminus"] = Qt::Key_plusminus;
    mapConstants[L"Qt.Key_twosuperior"] = Qt::Key_twosuperior;
    mapConstants[L"Qt.Key_threesuperior"] = Qt::Key_threesuperior;
    mapConstants[L"Qt.Key_acute"] = Qt::Key_acute;
    mapConstants[L"Qt.Key_mu"] = Qt::Key_mu;
    mapConstants[L"Qt.Key_paragraph"] = Qt::Key_paragraph;
    mapConstants[L"Qt.Key_periodcentered"] = Qt::Key_periodcentered;
    mapConstants[L"Qt.Key_cedilla"] = Qt::Key_cedilla;
    mapConstants[L"Qt.Key_onesuperior"] = Qt::Key_onesuperior;
    mapConstants[L"Qt.Key_masculine"] = Qt::Key_masculine;
    mapConstants[L"Qt.Key_guillemotright"] = Qt::Key_guillemotright;
    mapConstants[L"Qt.Key_onequarter"] = Qt::Key_onequarter;
    mapConstants[L"Qt.Key_onehalf"] = Qt::Key_onehalf;
    mapConstants[L"Qt.Key_threequarters"] = Qt::Key_threequarters;
    mapConstants[L"Qt.Key_questiondown"] = Qt::Key_questiondown;
    mapConstants[L"Qt.Key_Agrave"] = Qt::Key_Agrave;
    mapConstants[L"Qt.Key_Aacute"] = Qt::Key_Aacute;
    mapConstants[L"Qt.Key_Acircumflex"] = Qt::Key_Acircumflex;
    mapConstants[L"Qt.Key_Atilde"] = Qt::Key_Atilde;
    mapConstants[L"Qt.Key_Adiaeresis"] = Qt::Key_Adiaeresis;
    mapConstants[L"Qt.Key_Aring"] = Qt::Key_Aring;
    mapConstants[L"Qt.Key_AE"] = Qt::Key_AE;
    mapConstants[L"Qt.Key_Ccedilla"] = Qt::Key_Ccedilla;
    mapConstants[L"Qt.Key_Egrave"] = Qt::Key_Egrave;
    mapConstants[L"Qt.Key_Eacute"] = Qt::Key_Eacute;
    mapConstants[L"Qt.Key_Ecircumflex"] = Qt::Key_Ecircumflex;
    mapConstants[L"Qt.Key_Ediaeresis"] = Qt::Key_Ediaeresis;
    mapConstants[L"Qt.Key_Igrave"] = Qt::Key_Igrave;
    mapConstants[L"Qt.Key_Iacute"] = Qt::Key_Iacute;
    mapConstants[L"Qt.Key_Icircumflex"] = Qt::Key_Icircumflex;
    mapConstants[L"Qt.Key_Idiaeresis"] = Qt::Key_Idiaeresis;
    mapConstants[L"Qt.Key_ETH"] = Qt::Key_ETH;
    mapConstants[L"Qt.Key_Ntilde"] = Qt::Key_Ntilde;
    mapConstants[L"Qt.Key_Ograve"] = Qt::Key_Ograve;
    mapConstants[L"Qt.Key_Oacute"] = Qt::Key_Oacute;
    mapConstants[L"Qt.Key_Ocircumflex"] = Qt::Key_Ocircumflex;
    mapConstants[L"Qt.Key_Otilde"] = Qt::Key_Otilde;
    mapConstants[L"Qt.Key_Odiaeresis"] = Qt::Key_Odiaeresis;
    mapConstants[L"Qt.Key_multiply"] = Qt::Key_multiply;
    mapConstants[L"Qt.Key_Ooblique"] = Qt::Key_Ooblique;
    mapConstants[L"Qt.Key_Ugrave"] = Qt::Key_Ugrave;
    mapConstants[L"Qt.Key_Uacute"] = Qt::Key_Uacute;
    mapConstants[L"Qt.Key_Ucircumflex"] = Qt::Key_Ucircumflex;
    mapConstants[L"Qt.Key_Udiaeresis"] = Qt::Key_Udiaeresis;
    mapConstants[L"Qt.Key_Yacute"] = Qt::Key_Yacute;
    mapConstants[L"Qt.Key_THORN"] = Qt::Key_THORN;
    mapConstants[L"Qt.Key_ssharp"] = Qt::Key_ssharp;
    mapConstants[L"Qt.Key_division"] = Qt::Key_division;
    mapConstants[L"Qt.Key_ydiaeresis"] = Qt::Key_ydiaeresis;
    mapConstants[L"Qt.Key_AltGr"] = Qt::Key_AltGr;
    mapConstants[L"Qt.Key_Multi_key"] = Qt::Key_Multi_key;
    mapConstants[L"Qt.Key_Codeinput"] = Qt::Key_Codeinput;
    mapConstants[L"Qt.Key_SingleCandidate"] = Qt::Key_SingleCandidate;
    mapConstants[L"Qt.Key_MultipleCandidate"] = Qt::Key_MultipleCandidate;
    mapConstants[L"Qt.Key_PreviousCandidate"] = Qt::Key_PreviousCandidate;
    mapConstants[L"Qt.Key_Mode_switch"] = Qt::Key_Mode_switch;
    mapConstants[L"Qt.Key_Kanji"] = Qt::Key_Kanji;
    mapConstants[L"Qt.Key_Muhenkan"] = Qt::Key_Muhenkan;
    mapConstants[L"Qt.Key_Henkan"] = Qt::Key_Henkan;
    mapConstants[L"Qt.Key_Romaji"] = Qt::Key_Romaji;
    mapConstants[L"Qt.Key_Hiragana"] = Qt::Key_Hiragana;
    mapConstants[L"Qt.Key_Katakana"] = Qt::Key_Katakana;
    mapConstants[L"Qt.Key_Hiragana_Katakana"] = Qt::Key_Hiragana_Katakana;
    mapConstants[L"Qt.Key_Zenkaku"] = Qt::Key_Zenkaku;
    mapConstants[L"Qt.Key_Hankaku"] = Qt::Key_Hankaku;
    mapConstants[L"Qt.Key_Zenkaku_Hankaku"] = Qt::Key_Zenkaku_Hankaku;
    mapConstants[L"Qt.Key_Touroku"] = Qt::Key_Touroku;
    mapConstants[L"Qt.Key_Massyo"] = Qt::Key_Massyo;
    mapConstants[L"Qt.Key_Kana_Lock"] = Qt::Key_Kana_Lock;
    mapConstants[L"Qt.Key_Kana_Shift"] = Qt::Key_Kana_Shift;
    mapConstants[L"Qt.Key_Eisu_Shift"] = Qt::Key_Eisu_Shift;
    mapConstants[L"Qt.Key_Eisu_toggle"] = Qt::Key_Eisu_toggle;
    mapConstants[L"Qt.Key_Hangul"] = Qt::Key_Hangul;
    mapConstants[L"Qt.Key_Hangul_Start"] = Qt::Key_Hangul_Start;
    mapConstants[L"Qt.Key_Hangul_End"] = Qt::Key_Hangul_End;
    mapConstants[L"Qt.Key_Hangul_Hanja"] = Qt::Key_Hangul_Hanja;
    mapConstants[L"Qt.Key_Hangul_Jamo"] = Qt::Key_Hangul_Jamo;
    mapConstants[L"Qt.Key_Hangul_Romaja"] = Qt::Key_Hangul_Romaja;
    mapConstants[L"Qt.Key_Hangul_Jeonja"] = Qt::Key_Hangul_Jeonja;
    mapConstants[L"Qt.Key_Hangul_Banja"] = Qt::Key_Hangul_Banja;
    mapConstants[L"Qt.Key_Hangul_PreHanja"] = Qt::Key_Hangul_PreHanja;
    mapConstants[L"Qt.Key_Hangul_PostHanja"] = Qt::Key_Hangul_PostHanja;
    mapConstants[L"Qt.Key_Hangul_Special"] = Qt::Key_Hangul_Special;
    mapConstants[L"Qt.Key_Dead_Grave"] = Qt::Key_Dead_Grave;
    mapConstants[L"Qt.Key_Dead_Acute"] = Qt::Key_Dead_Acute;
    mapConstants[L"Qt.Key_Dead_Circumflex"] = Qt::Key_Dead_Circumflex;
    mapConstants[L"Qt.Key_Dead_Tilde"] = Qt::Key_Dead_Tilde;
    mapConstants[L"Qt.Key_Dead_Macron"] = Qt::Key_Dead_Macron;
    mapConstants[L"Qt.Key_Dead_Breve"] = Qt::Key_Dead_Breve;
    mapConstants[L"Qt.Key_Dead_Abovedot"] = Qt::Key_Dead_Abovedot;
    mapConstants[L"Qt.Key_Dead_Diaeresis"] = Qt::Key_Dead_Diaeresis;
    mapConstants[L"Qt.Key_Dead_Abovering"] = Qt::Key_Dead_Abovering;
    mapConstants[L"Qt.Key_Dead_Doubleacute"] = Qt::Key_Dead_Doubleacute;
    mapConstants[L"Qt.Key_Dead_Caron"] = Qt::Key_Dead_Caron;
    mapConstants[L"Qt.Key_Dead_Cedilla"] = Qt::Key_Dead_Cedilla;
    mapConstants[L"Qt.Key_Dead_Ogonek"] = Qt::Key_Dead_Ogonek;
    mapConstants[L"Qt.Key_Dead_Iota"] = Qt::Key_Dead_Iota;
    mapConstants[L"Qt.Key_Dead_Voiced_Sound"] = Qt::Key_Dead_Voiced_Sound;
    mapConstants[L"Qt.Key_Dead_Semivoiced_Sound"] = Qt::Key_Dead_Semivoiced_Sound;
    mapConstants[L"Qt.Key_Dead_Belowdot"] = Qt::Key_Dead_Belowdot;
    mapConstants[L"Qt.Key_Dead_Hook"] = Qt::Key_Dead_Hook;
    mapConstants[L"Qt.Key_Dead_Horn"] = Qt::Key_Dead_Horn;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.Key_Dead_Stroke"] = Qt::Key_Dead_Stroke;
    mapConstants[L"Qt.Key_Dead_Abovecomma"] = Qt::Key_Dead_Abovecomma;
    mapConstants[L"Qt.Key_Dead_Abovereversedcomma"] = Qt::Key_Dead_Abovereversedcomma;
    mapConstants[L"Qt.Key_Dead_Doublegrave"] = Qt::Key_Dead_Doublegrave;
    mapConstants[L"Qt.Key_Dead_Belowring"] = Qt::Key_Dead_Belowring;
    mapConstants[L"Qt.Key_Dead_Belowmacron"] = Qt::Key_Dead_Belowmacron;
    mapConstants[L"Qt.Key_Dead_Belowcircumflex"] = Qt::Key_Dead_Belowcircumflex;
    mapConstants[L"Qt.Key_Dead_Belowtilde"] = Qt::Key_Dead_Belowtilde;
    mapConstants[L"Qt.Key_Dead_Belowbreve"] = Qt::Key_Dead_Belowbreve;
    mapConstants[L"Qt.Key_Dead_Belowdiaeresis"] = Qt::Key_Dead_Belowdiaeresis;
    mapConstants[L"Qt.Key_Dead_Invertedbreve"] = Qt::Key_Dead_Invertedbreve;
    mapConstants[L"Qt.Key_Dead_Belowcomma"] = Qt::Key_Dead_Belowcomma;
    mapConstants[L"Qt.Key_Dead_Currency"] = Qt::Key_Dead_Currency;
    mapConstants[L"Qt.Key_Dead_a"] = Qt::Key_Dead_a;
    mapConstants[L"Qt.Key_Dead_A"] = Qt::Key_Dead_A;
    mapConstants[L"Qt.Key_Dead_e"] = Qt::Key_Dead_e;
    mapConstants[L"Qt.Key_Dead_E"] = Qt::Key_Dead_E;
    mapConstants[L"Qt.Key_Dead_i"] = Qt::Key_Dead_i;
    mapConstants[L"Qt.Key_Dead_I"] = Qt::Key_Dead_I;
    mapConstants[L"Qt.Key_Dead_o"] = Qt::Key_Dead_o;
    mapConstants[L"Qt.Key_Dead_O"] = Qt::Key_Dead_O;
    mapConstants[L"Qt.Key_Dead_u"] = Qt::Key_Dead_u;
    mapConstants[L"Qt.Key_Dead_U"] = Qt::Key_Dead_U;
    mapConstants[L"Qt.Key_Dead_Small_Schwa"] = Qt::Key_Dead_Small_Schwa;
    mapConstants[L"Qt.Key_Dead_Capital_Schwa"] = Qt::Key_Dead_Capital_Schwa;
    mapConstants[L"Qt.Key_Dead_Greek"] = Qt::Key_Dead_Greek;
    mapConstants[L"Qt.Key_Dead_Lowline"] = Qt::Key_Dead_Lowline;
    mapConstants[L"Qt.Key_Dead_Aboveverticalline"] = Qt::Key_Dead_Aboveverticalline;
    mapConstants[L"Qt.Key_Dead_Belowverticalline"] = Qt::Key_Dead_Belowverticalline;
    mapConstants[L"Qt.Key_Dead_Longsolidusoverlay"] = Qt::Key_Dead_Longsolidusoverlay;
#endif
    mapConstants[L"Qt.Key_Back"] = Qt::Key_Back;
    mapConstants[L"Qt.Key_Forward"] = Qt::Key_Forward;
    mapConstants[L"Qt.Key_Stop"] = Qt::Key_Stop;
    mapConstants[L"Qt.Key_Refresh"] = Qt::Key_Refresh;
    mapConstants[L"Qt.Key_VolumeDown"] = Qt::Key_VolumeDown;
    mapConstants[L"Qt.Key_VolumeMute"] = Qt::Key_VolumeMute;
    mapConstants[L"Qt.Key_VolumeUp"] = Qt::Key_VolumeUp;
    mapConstants[L"Qt.Key_BassBoost"] = Qt::Key_BassBoost;
    mapConstants[L"Qt.Key_BassUp"] = Qt::Key_BassUp;
    mapConstants[L"Qt.Key_BassDown"] = Qt::Key_BassDown;
    mapConstants[L"Qt.Key_TrebleUp"] = Qt::Key_TrebleUp;
    mapConstants[L"Qt.Key_TrebleDown"] = Qt::Key_TrebleDown;
    mapConstants[L"Qt.Key_MediaPlay"] = Qt::Key_MediaPlay;
    mapConstants[L"Qt.Key_MediaStop"] = Qt::Key_MediaStop;
    mapConstants[L"Qt.Key_MediaPrevious"] = Qt::Key_MediaPrevious;
    mapConstants[L"Qt.Key_MediaNext"] = Qt::Key_MediaNext;
    mapConstants[L"Qt.Key_MediaRecord"] = Qt::Key_MediaRecord;
    mapConstants[L"Qt.Key_MediaPause"] = Qt::Key_MediaPause;
    mapConstants[L"Qt.Key_MediaTogglePlayPause"] = Qt::Key_MediaTogglePlayPause;
    mapConstants[L"Qt.Key_HomePage"] = Qt::Key_HomePage;
    mapConstants[L"Qt.Key_Favorites"] = Qt::Key_Favorites;
    mapConstants[L"Qt.Key_Search"] = Qt::Key_Search;
    mapConstants[L"Qt.Key_Standby"] = Qt::Key_Standby;
    mapConstants[L"Qt.Key_OpenUrl"] = Qt::Key_OpenUrl;
    mapConstants[L"Qt.Key_LaunchMail"] = Qt::Key_LaunchMail;
    mapConstants[L"Qt.Key_LaunchMedia"] = Qt::Key_LaunchMedia;
    mapConstants[L"Qt.Key_Launch0"] = Qt::Key_Launch0;
    mapConstants[L"Qt.Key_Launch1"] = Qt::Key_Launch1;
    mapConstants[L"Qt.Key_Launch2"] = Qt::Key_Launch2;
    mapConstants[L"Qt.Key_Launch3"] = Qt::Key_Launch3;
    mapConstants[L"Qt.Key_Launch4"] = Qt::Key_Launch4;
    mapConstants[L"Qt.Key_Launch5"] = Qt::Key_Launch5;
    mapConstants[L"Qt.Key_Launch6"] = Qt::Key_Launch6;
    mapConstants[L"Qt.Key_Launch7"] = Qt::Key_Launch7;
    mapConstants[L"Qt.Key_Launch8"] = Qt::Key_Launch8;
    mapConstants[L"Qt.Key_Launch9"] = Qt::Key_Launch9;
    mapConstants[L"Qt.Key_LaunchA"] = Qt::Key_LaunchA;
    mapConstants[L"Qt.Key_LaunchB"] = Qt::Key_LaunchB;
    mapConstants[L"Qt.Key_LaunchC"] = Qt::Key_LaunchC;
    mapConstants[L"Qt.Key_LaunchD"] = Qt::Key_LaunchD;
    mapConstants[L"Qt.Key_LaunchE"] = Qt::Key_LaunchE;
    mapConstants[L"Qt.Key_LaunchF"] = Qt::Key_LaunchF;
    mapConstants[L"Qt.Key_MonBrightnessUp"] = Qt::Key_MonBrightnessUp;
    mapConstants[L"Qt.Key_MonBrightnessDown"] = Qt::Key_MonBrightnessDown;
    mapConstants[L"Qt.Key_KeyboardLightOnOff"] = Qt::Key_KeyboardLightOnOff;
    mapConstants[L"Qt.Key_KeyboardBrightnessUp"] = Qt::Key_KeyboardBrightnessUp;
    mapConstants[L"Qt.Key_KeyboardBrightnessDown"] = Qt::Key_KeyboardBrightnessDown;
    mapConstants[L"Qt.Key_PowerOff"] = Qt::Key_PowerOff;
    mapConstants[L"Qt.Key_WakeUp"] = Qt::Key_WakeUp;
    mapConstants[L"Qt.Key_Eject"] = Qt::Key_Eject;
    mapConstants[L"Qt.Key_ScreenSaver"] = Qt::Key_ScreenSaver;
    mapConstants[L"Qt.Key_WWW"] = Qt::Key_WWW;
    mapConstants[L"Qt.Key_Memo"] = Qt::Key_Memo;
    mapConstants[L"Qt.Key_LightBulb"] = Qt::Key_LightBulb;
    mapConstants[L"Qt.Key_Shop"] = Qt::Key_Shop;
    mapConstants[L"Qt.Key_History"] = Qt::Key_History;
    mapConstants[L"Qt.Key_AddFavorite"] = Qt::Key_AddFavorite;
    mapConstants[L"Qt.Key_HotLinks"] = Qt::Key_HotLinks;
    mapConstants[L"Qt.Key_BrightnessAdjust"] = Qt::Key_BrightnessAdjust;
    mapConstants[L"Qt.Key_Finance"] = Qt::Key_Finance;
    mapConstants[L"Qt.Key_Community"] = Qt::Key_Community;
    mapConstants[L"Qt.Key_AudioRewind"] = Qt::Key_AudioRewind;
    mapConstants[L"Qt.Key_BackForward"] = Qt::Key_BackForward;
    mapConstants[L"Qt.Key_ApplicationLeft"] = Qt::Key_ApplicationLeft;
    mapConstants[L"Qt.Key_ApplicationRight"] = Qt::Key_ApplicationRight;
    mapConstants[L"Qt.Key_Book"] = Qt::Key_Book;
    mapConstants[L"Qt.Key_CD"] = Qt::Key_CD;
    mapConstants[L"Qt.Key_Calculator"] = Qt::Key_Calculator;
    mapConstants[L"Qt.Key_ToDoList"] = Qt::Key_ToDoList;
    mapConstants[L"Qt.Key_ClearGrab"] = Qt::Key_ClearGrab;
    mapConstants[L"Qt.Key_Close"] = Qt::Key_Close;
    mapConstants[L"Qt.Key_Copy"] = Qt::Key_Copy;
    mapConstants[L"Qt.Key_Cut"] = Qt::Key_Cut;
    mapConstants[L"Qt.Key_Display"] = Qt::Key_Display;
    mapConstants[L"Qt.Key_DOS"] = Qt::Key_DOS;
    mapConstants[L"Qt.Key_Documents"] = Qt::Key_Documents;
    mapConstants[L"Qt.Key_Excel"] = Qt::Key_Excel;
    mapConstants[L"Qt.Key_Explorer"] = Qt::Key_Explorer;
    mapConstants[L"Qt.Key_Game"] = Qt::Key_Game;
    mapConstants[L"Qt.Key_Go"] = Qt::Key_Go;
    mapConstants[L"Qt.Key_iTouch"] = Qt::Key_iTouch;
    mapConstants[L"Qt.Key_LogOff"] = Qt::Key_LogOff;
    mapConstants[L"Qt.Key_Market"] = Qt::Key_Market;
    mapConstants[L"Qt.Key_Meeting"] = Qt::Key_Meeting;
    mapConstants[L"Qt.Key_MenuKB"] = Qt::Key_MenuKB;
    mapConstants[L"Qt.Key_MenuPB"] = Qt::Key_MenuPB;
    mapConstants[L"Qt.Key_MySites"] = Qt::Key_MySites;
    mapConstants[L"Qt.Key_News"] = Qt::Key_News;
    mapConstants[L"Qt.Key_OfficeHome"] = Qt::Key_OfficeHome;
    mapConstants[L"Qt.Key_Option"] = Qt::Key_Option;
    mapConstants[L"Qt.Key_Paste"] = Qt::Key_Paste;
    mapConstants[L"Qt.Key_Phone"] = Qt::Key_Phone;
    mapConstants[L"Qt.Key_Calendar"] = Qt::Key_Calendar;
    mapConstants[L"Qt.Key_Reply"] = Qt::Key_Reply;
    mapConstants[L"Qt.Key_Reload"] = Qt::Key_Reload;
    mapConstants[L"Qt.Key_RotateWindows"] = Qt::Key_RotateWindows;
    mapConstants[L"Qt.Key_RotationPB"] = Qt::Key_RotationPB;
    mapConstants[L"Qt.Key_RotationKB"] = Qt::Key_RotationKB;
    mapConstants[L"Qt.Key_Save"] = Qt::Key_Save;
    mapConstants[L"Qt.Key_Send"] = Qt::Key_Send;
    mapConstants[L"Qt.Key_Spell"] = Qt::Key_Spell;
    mapConstants[L"Qt.Key_SplitScreen"] = Qt::Key_SplitScreen;
    mapConstants[L"Qt.Key_Support"] = Qt::Key_Support;
    mapConstants[L"Qt.Key_TaskPane"] = Qt::Key_TaskPane;
    mapConstants[L"Qt.Key_Terminal"] = Qt::Key_Terminal;
    mapConstants[L"Qt.Key_Tools"] = Qt::Key_Tools;
    mapConstants[L"Qt.Key_Travel"] = Qt::Key_Travel;
    mapConstants[L"Qt.Key_Video"] = Qt::Key_Video;
    mapConstants[L"Qt.Key_Word"] = Qt::Key_Word;
    mapConstants[L"Qt.Key_Xfer"] = Qt::Key_Xfer;
    mapConstants[L"Qt.Key_ZoomIn"] = Qt::Key_ZoomIn;
    mapConstants[L"Qt.Key_ZoomOut"] = Qt::Key_ZoomOut;
    mapConstants[L"Qt.Key_Away"] = Qt::Key_Away;
    mapConstants[L"Qt.Key_Messenger"] = Qt::Key_Messenger;
    mapConstants[L"Qt.Key_WebCam"] = Qt::Key_WebCam;
    mapConstants[L"Qt.Key_MailForward"] = Qt::Key_MailForward;
    mapConstants[L"Qt.Key_Pictures"] = Qt::Key_Pictures;
    mapConstants[L"Qt.Key_Music"] = Qt::Key_Music;
    mapConstants[L"Qt.Key_Battery"] = Qt::Key_Battery;
    mapConstants[L"Qt.Key_Bluetooth"] = Qt::Key_Bluetooth;
    mapConstants[L"Qt.Key_WLAN"] = Qt::Key_WLAN;
    mapConstants[L"Qt.Key_UWB"] = Qt::Key_UWB;
    mapConstants[L"Qt.Key_AudioForward"] = Qt::Key_AudioForward;
    mapConstants[L"Qt.Key_AudioRepeat"] = Qt::Key_AudioRepeat;
    mapConstants[L"Qt.Key_AudioRandomPlay"] = Qt::Key_AudioRandomPlay;
    mapConstants[L"Qt.Key_Subtitle"] = Qt::Key_Subtitle;
    mapConstants[L"Qt.Key_AudioCycleTrack"] = Qt::Key_AudioCycleTrack;
    mapConstants[L"Qt.Key_Time"] = Qt::Key_Time;
    mapConstants[L"Qt.Key_Hibernate"] = Qt::Key_Hibernate;
    mapConstants[L"Qt.Key_View"] = Qt::Key_View;
    mapConstants[L"Qt.Key_TopMenu"] = Qt::Key_TopMenu;
    mapConstants[L"Qt.Key_PowerDown"] = Qt::Key_PowerDown;
    mapConstants[L"Qt.Key_Suspend"] = Qt::Key_Suspend;
    mapConstants[L"Qt.Key_ContrastAdjust"] = Qt::Key_ContrastAdjust;
    mapConstants[L"Qt.Key_LaunchG"] = Qt::Key_LaunchG;
    mapConstants[L"Qt.Key_LaunchH"] = Qt::Key_LaunchH;
    mapConstants[L"Qt.Key_TouchpadToggle"] = Qt::Key_TouchpadToggle;
    mapConstants[L"Qt.Key_TouchpadOn"] = Qt::Key_TouchpadOn;
    mapConstants[L"Qt.Key_TouchpadOff"] = Qt::Key_TouchpadOff;
    mapConstants[L"Qt.Key_MicMute"] = Qt::Key_MicMute;
    mapConstants[L"Qt.Key_Red"] = Qt::Key_Red;
    mapConstants[L"Qt.Key_Green"] = Qt::Key_Green;
    mapConstants[L"Qt.Key_Yellow"] = Qt::Key_Yellow;
    mapConstants[L"Qt.Key_Blue"] = Qt::Key_Blue;
    mapConstants[L"Qt.Key_ChannelUp"] = Qt::Key_ChannelUp;
    mapConstants[L"Qt.Key_ChannelDown"] = Qt::Key_ChannelDown;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.Key_Guide"] = Qt::Key_Guide;
    mapConstants[L"Qt.Key_Info"] = Qt::Key_Info;
    mapConstants[L"Qt.Key_Settings"] = Qt::Key_Settings;
    mapConstants[L"Qt.Key_MicVolumeUp"] = Qt::Key_MicVolumeUp;
    mapConstants[L"Qt.Key_MicVolumeDown"] = Qt::Key_MicVolumeDown;
    mapConstants[L"Qt.Key_New"] = Qt::Key_New;
    mapConstants[L"Qt.Key_Open"] = Qt::Key_Open;
    mapConstants[L"Qt.Key_Find"] = Qt::Key_Find;
    mapConstants[L"Qt.Key_Undo"] = Qt::Key_Undo;
    mapConstants[L"Qt.Key_Redo"] = Qt::Key_Redo;
#endif
    mapConstants[L"Qt.Key_MediaLast"] = Qt::Key_MediaLast;
    mapConstants[L"Qt.Key_Select"] = Qt::Key_Select;
    mapConstants[L"Qt.Key_Yes"] = Qt::Key_Yes;
    mapConstants[L"Qt.Key_No"] = Qt::Key_No;
    mapConstants[L"Qt.Key_Cancel"] = Qt::Key_Cancel;
    mapConstants[L"Qt.Key_Printer"] = Qt::Key_Printer;
    mapConstants[L"Qt.Key_Execute"] = Qt::Key_Execute;
    mapConstants[L"Qt.Key_Sleep"] = Qt::Key_Sleep;
    mapConstants[L"Qt.Key_Play"] = Qt::Key_Play;
    mapConstants[L"Qt.Key_Zoom"] = Qt::Key_Zoom;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.Key_Exit"] = Qt::Key_Exit;
#endif
    mapConstants[L"Qt.Key_Context1"] = Qt::Key_Context1;
    mapConstants[L"Qt.Key_Context2"] = Qt::Key_Context2;
    mapConstants[L"Qt.Key_Context3"] = Qt::Key_Context3;
    mapConstants[L"Qt.Key_Context4"] = Qt::Key_Context4;
    mapConstants[L"Qt.Key_Call"] = Qt::Key_Call;
    mapConstants[L"Qt.Key_Hangup"] = Qt::Key_Hangup;
    mapConstants[L"Qt.Key_Flip"] = Qt::Key_Flip;
    mapConstants[L"Qt.Key_ToggleCallHangup"] = Qt::Key_ToggleCallHangup;
    mapConstants[L"Qt.Key_VoiceDial"] = Qt::Key_VoiceDial;
    mapConstants[L"Qt.Key_LastNumberRedial"] = Qt::Key_LastNumberRedial;
    mapConstants[L"Qt.Key_Camera"] = Qt::Key_Camera;
    mapConstants[L"Qt.Key_CameraFocus"] = Qt::Key_CameraFocus;
    mapConstants[L"Qt.Key_unknown"] = Qt::Key_unknown;
    mapConstants[L"Qt.NoArrow"] = Qt::NoArrow;
    mapConstants[L"Qt.UpArrow"] = Qt::UpArrow;
    mapConstants[L"Qt.DownArrow"] = Qt::DownArrow;
    mapConstants[L"Qt.LeftArrow"] = Qt::LeftArrow;
    mapConstants[L"Qt.RightArrow"] = Qt::RightArrow;
    mapConstants[L"Qt.NoPen"] = Qt::NoPen;
    mapConstants[L"Qt.SolidLine"] = Qt::SolidLine;
    mapConstants[L"Qt.DashLine"] = Qt::DashLine;
    mapConstants[L"Qt.DotLine"] = Qt::DotLine;
    mapConstants[L"Qt.DashDotLine"] = Qt::DashDotLine;
    mapConstants[L"Qt.DashDotDotLine"] = Qt::DashDotDotLine;
    mapConstants[L"Qt.CustomDashLine"] = Qt::CustomDashLine;
    mapConstants[L"Qt.FlatCap"] = Qt::FlatCap;
    mapConstants[L"Qt.SquareCap"] = Qt::SquareCap;
    mapConstants[L"Qt.RoundCap"] = Qt::RoundCap;
    mapConstants[L"Qt.MPenCapStyle"] = Qt::MPenCapStyle;
    mapConstants[L"Qt.MiterJoin"] = Qt::MiterJoin;
    mapConstants[L"Qt.BevelJoin"] = Qt::BevelJoin;
    mapConstants[L"Qt.RoundJoin"] = Qt::RoundJoin;
    mapConstants[L"Qt.SvgMiterJoin"] = Qt::SvgMiterJoin;
    mapConstants[L"Qt.MPenJoinStyle"] = Qt::MPenJoinStyle;
    mapConstants[L"Qt.NoBrush"] = Qt::NoBrush;
    mapConstants[L"Qt.SolidPattern"] = Qt::SolidPattern;
    mapConstants[L"Qt.Dense1Pattern"] = Qt::Dense1Pattern;
    mapConstants[L"Qt.Dense2Pattern"] = Qt::Dense2Pattern;
    mapConstants[L"Qt.Dense3Pattern"] = Qt::Dense3Pattern;
    mapConstants[L"Qt.Dense4Pattern"] = Qt::Dense4Pattern;
    mapConstants[L"Qt.Dense5Pattern"] = Qt::Dense5Pattern;
    mapConstants[L"Qt.Dense6Pattern"] = Qt::Dense6Pattern;
    mapConstants[L"Qt.Dense7Pattern"] = Qt::Dense7Pattern;
    mapConstants[L"Qt.HorPattern"] = Qt::HorPattern;
    mapConstants[L"Qt.VerPattern"] = Qt::VerPattern;
    mapConstants[L"Qt.CrossPattern"] = Qt::CrossPattern;
    mapConstants[L"Qt.BDiagPattern"] = Qt::BDiagPattern;
    mapConstants[L"Qt.FDiagPattern"] = Qt::FDiagPattern;
    mapConstants[L"Qt.DiagCrossPattern"] = Qt::DiagCrossPattern;
    mapConstants[L"Qt.LinearGradientPattern"] = Qt::LinearGradientPattern;
    mapConstants[L"Qt.RadialGradientPattern"] = Qt::RadialGradientPattern;
    mapConstants[L"Qt.ConicalGradientPattern"] = Qt::ConicalGradientPattern;
    mapConstants[L"Qt.TexturePattern"] = Qt::TexturePattern;
    mapConstants[L"Qt.AbsoluteSize"] = Qt::AbsoluteSize;
    mapConstants[L"Qt.RelativeSize"] = Qt::RelativeSize;
    mapConstants[L"Qt.UI_General"] = Qt::UI_General;
    mapConstants[L"Qt.UI_AnimateMenu"] = Qt::UI_AnimateMenu;
    mapConstants[L"Qt.UI_FadeMenu"] = Qt::UI_FadeMenu;
    mapConstants[L"Qt.UI_AnimateCombo"] = Qt::UI_AnimateCombo;
    mapConstants[L"Qt.UI_AnimateTooltip"] = Qt::UI_AnimateTooltip;
    mapConstants[L"Qt.UI_FadeTooltip"] = Qt::UI_FadeTooltip;
    mapConstants[L"Qt.UI_AnimateToolBox"] = Qt::UI_AnimateToolBox;
    mapConstants[L"Qt.ArrowCursor"] = Qt::ArrowCursor;
    mapConstants[L"Qt.UpArrowCursor"] = Qt::UpArrowCursor;
    mapConstants[L"Qt.CrossCursor"] = Qt::CrossCursor;
    mapConstants[L"Qt.WaitCursor"] = Qt::WaitCursor;
    mapConstants[L"Qt.IBeamCursor"] = Qt::IBeamCursor;
    mapConstants[L"Qt.SizeVerCursor"] = Qt::SizeVerCursor;
    mapConstants[L"Qt.SizeHorCursor"] = Qt::SizeHorCursor;
    mapConstants[L"Qt.SizeBDiagCursor"] = Qt::SizeBDiagCursor;
    mapConstants[L"Qt.SizeFDiagCursor"] = Qt::SizeFDiagCursor;
    mapConstants[L"Qt.SizeAllCursor"] = Qt::SizeAllCursor;
    mapConstants[L"Qt.BlankCursor"] = Qt::BlankCursor;
    mapConstants[L"Qt.SplitVCursor"] = Qt::SplitVCursor;
    mapConstants[L"Qt.SplitHCursor"] = Qt::SplitHCursor;
    mapConstants[L"Qt.PointingHandCursor"] = Qt::PointingHandCursor;
    mapConstants[L"Qt.ForbiddenCursor"] = Qt::ForbiddenCursor;
    mapConstants[L"Qt.WhatsThisCursor"] = Qt::WhatsThisCursor;
    mapConstants[L"Qt.BusyCursor"] = Qt::BusyCursor;
    mapConstants[L"Qt.OpenHandCursor"] = Qt::OpenHandCursor;
    mapConstants[L"Qt.ClosedHandCursor"] = Qt::ClosedHandCursor;
    mapConstants[L"Qt.DragCopyCursor"] = Qt::DragCopyCursor;
    mapConstants[L"Qt.DragMoveCursor"] = Qt::DragMoveCursor;
    mapConstants[L"Qt.DragLinkCursor"] = Qt::DragLinkCursor;
    mapConstants[L"Qt.LastCursor"] = Qt::LastCursor;
    mapConstants[L"Qt.BitmapCursor"] = Qt::BitmapCursor;
    mapConstants[L"Qt.CustomCursor"] = Qt::CustomCursor;
    mapConstants[L"Qt.PlainText"] = Qt::PlainText;
    mapConstants[L"Qt.RichText"] = Qt::RichText;
    mapConstants[L"Qt.AutoText"] = Qt::AutoText;
    mapConstants[L"Qt.IgnoreAspectRatio"] = Qt::IgnoreAspectRatio;
    mapConstants[L"Qt.KeepAspectRatio"] = Qt::KeepAspectRatio;
    mapConstants[L"Qt.KeepAspectRatioByExpanding"] = Qt::KeepAspectRatioByExpanding;
    mapConstants[L"Qt.LeftDockWidgetArea"] = Qt::LeftDockWidgetArea;
    mapConstants[L"Qt.RightDockWidgetArea"] = Qt::RightDockWidgetArea;
    mapConstants[L"Qt.TopDockWidgetArea"] = Qt::TopDockWidgetArea;
    mapConstants[L"Qt.BottomDockWidgetArea"] = Qt::BottomDockWidgetArea;
    mapConstants[L"Qt.DockWidgetArea_Mask"] = Qt::DockWidgetArea_Mask;
    mapConstants[L"Qt.AllDockWidgetAreas"] = Qt::AllDockWidgetAreas;
    mapConstants[L"Qt.NoDockWidgetArea"] = Qt::NoDockWidgetArea;
    mapConstants[L"Qt.NDockWidgetAreas"] = Qt::NDockWidgetAreas;
    mapConstants[L"Qt.LeftToolBarArea"] = Qt::LeftToolBarArea;
    mapConstants[L"Qt.RightToolBarArea"] = Qt::RightToolBarArea;
    mapConstants[L"Qt.TopToolBarArea"] = Qt::TopToolBarArea;
    mapConstants[L"Qt.BottomToolBarArea"] = Qt::BottomToolBarArea;
    mapConstants[L"Qt.ToolBarArea_Mask"] = Qt::ToolBarArea_Mask;
    mapConstants[L"Qt.AllToolBarAreas"] = Qt::AllToolBarAreas;
    mapConstants[L"Qt.NoToolBarArea"] = Qt::NoToolBarArea;
    mapConstants[L"Qt.NToolBarAreas"] = Qt::NToolBarAreas;
    mapConstants[L"Qt.TextDate"] = Qt::TextDate;
    mapConstants[L"Qt.ISODate"] = Qt::ISODate;
    mapConstants[L"Qt.RFC2822Date"] = Qt::RFC2822Date;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.ISODateWithMs"] = Qt::ISODateWithMs;
#endif
    mapConstants[L"Qt.LocalTime"] = Qt::LocalTime;
    mapConstants[L"Qt.UTC"] = Qt::UTC;
    mapConstants[L"Qt.OffsetFromUTC"] = Qt::OffsetFromUTC;
    mapConstants[L"Qt.TimeZone"] = Qt::TimeZone;
    mapConstants[L"Qt.Monday"] = Qt::Monday;
    mapConstants[L"Qt.Tuesday"] = Qt::Tuesday;
    mapConstants[L"Qt.Wednesday"] = Qt::Wednesday;
    mapConstants[L"Qt.Thursday"] = Qt::Thursday;
    mapConstants[L"Qt.Friday"] = Qt::Friday;
    mapConstants[L"Qt.Saturday"] = Qt::Saturday;
    mapConstants[L"Qt.Sunday"] = Qt::Sunday;
    mapConstants[L"Qt.ScrollBarAsNeeded"] = Qt::ScrollBarAsNeeded;
    mapConstants[L"Qt.ScrollBarAlwaysOff"] = Qt::ScrollBarAlwaysOff;
    mapConstants[L"Qt.ScrollBarAlwaysOn"] = Qt::ScrollBarAlwaysOn;
    mapConstants[L"Qt.CaseInsensitive"] = Qt::CaseInsensitive;
    mapConstants[L"Qt.CaseSensitive"] = Qt::CaseSensitive;
    mapConstants[L"Qt.TopLeftCorner"] = Qt::TopLeftCorner;
    mapConstants[L"Qt.TopRightCorner"] = Qt::TopRightCorner;
    mapConstants[L"Qt.BottomLeftCorner"] = Qt::BottomLeftCorner;
    mapConstants[L"Qt.BottomRightCorner"] = Qt::BottomRightCorner;
    mapConstants[L"Qt.TopEdge"] = Qt::TopEdge;
    mapConstants[L"Qt.LeftEdge"] = Qt::LeftEdge;
    mapConstants[L"Qt.RightEdge"] = Qt::RightEdge;
    mapConstants[L"Qt.BottomEdge"] = Qt::BottomEdge;
    mapConstants[L"Qt.AutoConnection"] = Qt::AutoConnection;
    mapConstants[L"Qt.DirectConnection"] = Qt::DirectConnection;
    mapConstants[L"Qt.QueuedConnection"] = Qt::QueuedConnection;
    mapConstants[L"Qt.BlockingQueuedConnection"] = Qt::BlockingQueuedConnection;
    mapConstants[L"Qt.UniqueConnection"] = Qt::UniqueConnection;
    mapConstants[L"Qt.WidgetShortcut"] = Qt::WidgetShortcut;
    mapConstants[L"Qt.WindowShortcut"] = Qt::WindowShortcut;
    mapConstants[L"Qt.ApplicationShortcut"] = Qt::ApplicationShortcut;
    mapConstants[L"Qt.WidgetWithChildrenShortcut"] = Qt::WidgetWithChildrenShortcut;
    mapConstants[L"Qt.OddEvenFill"] = Qt::OddEvenFill;
    mapConstants[L"Qt.WindingFill"] = Qt::WindingFill;
    mapConstants[L"Qt.MaskInColor"] = Qt::MaskInColor;
    mapConstants[L"Qt.MaskOutColor"] = Qt::MaskOutColor;
    mapConstants[L"Qt.NoClip"] = Qt::NoClip;
    mapConstants[L"Qt.ReplaceClip"] = Qt::ReplaceClip;
    mapConstants[L"Qt.IntersectClip"] = Qt::IntersectClip;
    mapConstants[L"Qt.ContainsItemShape"] = Qt::ContainsItemShape;
    mapConstants[L"Qt.IntersectsItemShape"] = Qt::IntersectsItemShape;
    mapConstants[L"Qt.ContainsItemBoundingRect"] = Qt::ContainsItemBoundingRect;
    mapConstants[L"Qt.IntersectsItemBoundingRect"] = Qt::IntersectsItemBoundingRect;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.ReplaceSelection"] = Qt::ReplaceSelection;
    mapConstants[L"Qt.AddToSelection"] = Qt::AddToSelection;
#endif
    mapConstants[L"Qt.FastTransformation"] = Qt::FastTransformation;
    mapConstants[L"Qt.SmoothTransformation"] = Qt::SmoothTransformation;
    mapConstants[L"Qt.XAxis"] = Qt::XAxis;
    mapConstants[L"Qt.YAxis"] = Qt::YAxis;
    mapConstants[L"Qt.ZAxis"] = Qt::ZAxis;
    mapConstants[L"Qt.MouseFocusReason"] = Qt::MouseFocusReason;
    mapConstants[L"Qt.TabFocusReason"] = Qt::TabFocusReason;
    mapConstants[L"Qt.BacktabFocusReason"] = Qt::BacktabFocusReason;
    mapConstants[L"Qt.ActiveWindowFocusReason"] = Qt::ActiveWindowFocusReason;
    mapConstants[L"Qt.PopupFocusReason"] = Qt::PopupFocusReason;
    mapConstants[L"Qt.ShortcutFocusReason"] = Qt::ShortcutFocusReason;
    mapConstants[L"Qt.MenuBarFocusReason"] = Qt::MenuBarFocusReason;
    mapConstants[L"Qt.OtherFocusReason"] = Qt::OtherFocusReason;
    mapConstants[L"Qt.NoFocusReason"] = Qt::NoFocusReason;
    mapConstants[L"Qt.NoContextMenu"] = Qt::NoContextMenu;
    mapConstants[L"Qt.DefaultContextMenu"] = Qt::DefaultContextMenu;
    mapConstants[L"Qt.ActionsContextMenu"] = Qt::ActionsContextMenu;
    mapConstants[L"Qt.CustomContextMenu"] = Qt::CustomContextMenu;
    mapConstants[L"Qt.PreventContextMenu"] = Qt::PreventContextMenu;
    mapConstants[L"Qt.ImEnabled"] = Qt::ImEnabled;
    mapConstants[L"Qt.ImCursorRectangle"] = Qt::ImCursorRectangle;
    mapConstants[L"Qt.ImFont"] = Qt::ImFont;
    mapConstants[L"Qt.ImCursorPosition"] = Qt::ImCursorPosition;
    mapConstants[L"Qt.ImSurroundingText"] = Qt::ImSurroundingText;
    mapConstants[L"Qt.ImCurrentSelection"] = Qt::ImCurrentSelection;
    mapConstants[L"Qt.ImMaximumTextLength"] = Qt::ImMaximumTextLength;
    mapConstants[L"Qt.ImAnchorPosition"] = Qt::ImAnchorPosition;
    mapConstants[L"Qt.ImHints"] = Qt::ImHints;
    mapConstants[L"Qt.ImPreferredLanguage"] = Qt::ImPreferredLanguage;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.ImAbsolutePosition"] = Qt::ImAbsolutePosition;
    mapConstants[L"Qt.ImTextBeforeCursor"] = Qt::ImTextBeforeCursor;
    mapConstants[L"Qt.ImTextAfterCursor"] = Qt::ImTextAfterCursor;
    mapConstants[L"Qt.ImEnterKeyType"] = Qt::ImEnterKeyType;
    mapConstants[L"Qt.ImAnchorRectangle"] = Qt::ImAnchorRectangle;
    mapConstants[L"Qt.ImInputItemClipRectangle"] = Qt::ImInputItemClipRectangle;
#endif
    mapConstants[L"Qt.ImPlatformData"] = Qt::ImPlatformData;
    mapConstants[L"Qt.ImQueryInput"] = Qt::ImQueryInput;
    mapConstants[L"Qt.ImQueryAll"] = Qt::ImQueryAll;
    mapConstants[L"Qt.ImhNone"] = Qt::ImhNone;
    mapConstants[L"Qt.ImhHiddenText"] = Qt::ImhHiddenText;
    mapConstants[L"Qt.ImhSensitiveData"] = Qt::ImhSensitiveData;
    mapConstants[L"Qt.ImhNoAutoUppercase"] = Qt::ImhNoAutoUppercase;
    mapConstants[L"Qt.ImhPreferNumbers"] = Qt::ImhPreferNumbers;
    mapConstants[L"Qt.ImhPreferUppercase"] = Qt::ImhPreferUppercase;
    mapConstants[L"Qt.ImhPreferLowercase"] = Qt::ImhPreferLowercase;
    mapConstants[L"Qt.ImhNoPredictiveText"] = Qt::ImhNoPredictiveText;
    mapConstants[L"Qt.ImhDate"] = Qt::ImhDate;
    mapConstants[L"Qt.ImhTime"] = Qt::ImhTime;
    mapConstants[L"Qt.ImhPreferLatin"] = Qt::ImhPreferLatin;
    mapConstants[L"Qt.ImhMultiLine"] = Qt::ImhMultiLine;
    mapConstants[L"Qt.ImhDigitsOnly"] = Qt::ImhDigitsOnly;
    mapConstants[L"Qt.ImhFormattedNumbersOnly"] = Qt::ImhFormattedNumbersOnly;
    mapConstants[L"Qt.ImhUppercaseOnly"] = Qt::ImhUppercaseOnly;
    mapConstants[L"Qt.ImhLowercaseOnly"] = Qt::ImhLowercaseOnly;
    mapConstants[L"Qt.ImhDialableCharactersOnly"] = Qt::ImhDialableCharactersOnly;
    mapConstants[L"Qt.ImhEmailCharactersOnly"] = Qt::ImhEmailCharactersOnly;
    mapConstants[L"Qt.ImhUrlCharactersOnly"] = Qt::ImhUrlCharactersOnly;
    mapConstants[L"Qt.ImhLatinOnly"] = Qt::ImhLatinOnly;
    mapConstants[L"Qt.ImhExclusiveInputMask"] = Qt::ImhExclusiveInputMask;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.EnterKeyDefault"] = Qt::EnterKeyDefault;
    mapConstants[L"Qt.EnterKeyReturn"] = Qt::EnterKeyReturn;
    mapConstants[L"Qt.EnterKeyDone"] = Qt::EnterKeyDone;
    mapConstants[L"Qt.EnterKeyGo"] = Qt::EnterKeyGo;
    mapConstants[L"Qt.EnterKeySend"] = Qt::EnterKeySend;
    mapConstants[L"Qt.EnterKeySearch"] = Qt::EnterKeySearch;
    mapConstants[L"Qt.EnterKeyNext"] = Qt::EnterKeyNext;
    mapConstants[L"Qt.EnterKeyPrevious"] = Qt::EnterKeyPrevious;
#endif 
    mapConstants[L"Qt.ToolButtonIconOnly"] = Qt::ToolButtonIconOnly;
    mapConstants[L"Qt.ToolButtonTextOnly"] = Qt::ToolButtonTextOnly;
    mapConstants[L"Qt.ToolButtonTextBesideIcon"] = Qt::ToolButtonTextBesideIcon;
    mapConstants[L"Qt.ToolButtonTextUnderIcon"] = Qt::ToolButtonTextUnderIcon;
    mapConstants[L"Qt.ToolButtonFollowStyle"] = Qt::ToolButtonFollowStyle;
    mapConstants[L"Qt.LeftToRight"] = Qt::LeftToRight;
    mapConstants[L"Qt.RightToLeft"] = Qt::RightToLeft;
    mapConstants[L"Qt.LayoutDirectionAuto"] = Qt::LayoutDirectionAuto;
    mapConstants[L"Qt.AnchorLeft"] = Qt::AnchorLeft;
    mapConstants[L"Qt.AnchorHorizontalCenter"] = Qt::AnchorHorizontalCenter;
    mapConstants[L"Qt.AnchorRight"] = Qt::AnchorRight;
    mapConstants[L"Qt.AnchorTop"] = Qt::AnchorTop;
    mapConstants[L"Qt.AnchorVerticalCenter"] = Qt::AnchorVerticalCenter;
    mapConstants[L"Qt.AnchorBottom"] = Qt::AnchorBottom;
    mapConstants[L"Qt.FindDirectChildrenOnly"] = Qt::FindDirectChildrenOnly;
    mapConstants[L"Qt.FindChildrenRecursively"] = Qt::FindChildrenRecursively;
    mapConstants[L"Qt.CopyAction"] = Qt::CopyAction;
    mapConstants[L"Qt.MoveAction"] = Qt::MoveAction;
    mapConstants[L"Qt.LinkAction"] = Qt::LinkAction;
    mapConstants[L"Qt.ActionMask"] = Qt::ActionMask;
    mapConstants[L"Qt.TargetMoveAction"] = Qt::TargetMoveAction;
    mapConstants[L"Qt.IgnoreAction"] = Qt::IgnoreAction;
    mapConstants[L"Qt.Unchecked"] = Qt::Unchecked;
    mapConstants[L"Qt.PartiallyChecked"] = Qt::PartiallyChecked;
    mapConstants[L"Qt.Checked"] = Qt::Checked;
    mapConstants[L"Qt.DisplayRole"] = Qt::DisplayRole;
    mapConstants[L"Qt.DecorationRole"] = Qt::DecorationRole;
    mapConstants[L"Qt.EditRole"] = Qt::EditRole;
    mapConstants[L"Qt.ToolTipRole"] = Qt::ToolTipRole;
    mapConstants[L"Qt.StatusTipRole"] = Qt::StatusTipRole;
    mapConstants[L"Qt.WhatsThisRole"] = Qt::WhatsThisRole;
    mapConstants[L"Qt.FontRole"] = Qt::FontRole;
    mapConstants[L"Qt.TextAlignmentRole"] = Qt::TextAlignmentRole;
    mapConstants[L"Qt.BackgroundRole"] = Qt::BackgroundRole;
    mapConstants[L"Qt.ForegroundRole"] = Qt::ForegroundRole;
    mapConstants[L"Qt.CheckStateRole"] = Qt::CheckStateRole;
    mapConstants[L"Qt.AccessibleTextRole"] = Qt::AccessibleTextRole;
    mapConstants[L"Qt.AccessibleDescriptionRole"] = Qt::AccessibleDescriptionRole;
    mapConstants[L"Qt.SizeHintRole"] = Qt::SizeHintRole;
    mapConstants[L"Qt.InitialSortOrderRole"] = Qt::InitialSortOrderRole;
    mapConstants[L"Qt.DisplayPropertyRole"] = Qt::DisplayPropertyRole;
    mapConstants[L"Qt.DecorationPropertyRole"] = Qt::DecorationPropertyRole;
    mapConstants[L"Qt.ToolTipPropertyRole"] = Qt::ToolTipPropertyRole;
    mapConstants[L"Qt.StatusTipPropertyRole"] = Qt::StatusTipPropertyRole;
    mapConstants[L"Qt.WhatsThisPropertyRole"] = Qt::WhatsThisPropertyRole;
    mapConstants[L"Qt.UserRole"] = Qt::UserRole;
    mapConstants[L"Qt.NoItemFlags"] = Qt::NoItemFlags;
    mapConstants[L"Qt.ItemIsSelectable"] = Qt::ItemIsSelectable;
    mapConstants[L"Qt.ItemIsEditable"] = Qt::ItemIsEditable;
    mapConstants[L"Qt.ItemIsDragEnabled"] = Qt::ItemIsDragEnabled;
    mapConstants[L"Qt.ItemIsDropEnabled"] = Qt::ItemIsDropEnabled;
    mapConstants[L"Qt.ItemIsUserCheckable"] = Qt::ItemIsUserCheckable;
    mapConstants[L"Qt.ItemIsEnabled"] = Qt::ItemIsEnabled;
#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
    mapConstants[L"Qt.ItemIsAutoTristate"] = Qt::ItemIsAutoTristate;
    mapConstants[L"Qt.ItemIsUserTristate"] = Qt::ItemIsUserTristate;
#endif
    mapConstants[L"Qt.ItemNeverHasChildren"] = Qt::ItemNeverHasChildren;
    mapConstants[L"Qt.MatchExactly"] = Qt::MatchExactly;
    mapConstants[L"Qt.MatchContains"] = Qt::MatchContains;
    mapConstants[L"Qt.MatchStartsWith"] = Qt::MatchStartsWith;
    mapConstants[L"Qt.MatchEndsWith"] = Qt::MatchEndsWith;
    mapConstants[L"Qt.MatchWildcard"] = Qt::MatchWildcard;
    mapConstants[L"Qt.MatchFixedString"] = Qt::MatchFixedString;
#if QT_VERSION >= QT_VERSION_CHECK(5, 15, 0)
    mapConstants[L"Qt.MatchRegularExpression"] = Qt::MatchRegularExpression;
#endif
    mapConstants[L"Qt.MatchCaseSensitive"] = Qt::MatchCaseSensitive;
    mapConstants[L"Qt.MatchWrap"] = Qt::MatchWrap;
    mapConstants[L"Qt.MatchRecursive"] = Qt::MatchRecursive;
    mapConstants[L"Qt.NonModal"] = Qt::NonModal;
    mapConstants[L"Qt.WindowModal"] = Qt::WindowModal;
    mapConstants[L"Qt.ApplicationModal"] = Qt::ApplicationModal;
    mapConstants[L"Qt.NoTextInteraction"] = Qt::NoTextInteraction;
    mapConstants[L"Qt.TextSelectableByMouse"] = Qt::TextSelectableByMouse;
    mapConstants[L"Qt.TextSelectableByKeyboard"] = Qt::TextSelectableByKeyboard;
    mapConstants[L"Qt.LinksAccessibleByMouse"] = Qt::LinksAccessibleByMouse;
    mapConstants[L"Qt.LinksAccessibleByKeyboard"] = Qt::LinksAccessibleByKeyboard;
    mapConstants[L"Qt.TextEditable"] = Qt::TextEditable;
    mapConstants[L"Qt.TextEditorInteraction"] = Qt::TextEditorInteraction;
    mapConstants[L"Qt.TextBrowserInteraction"] = Qt::TextBrowserInteraction;
    mapConstants[L"Qt.HighEventPriority"] = Qt::HighEventPriority;
    mapConstants[L"Qt.NormalEventPriority"] = Qt::NormalEventPriority;
    mapConstants[L"Qt.LowEventPriority"] = Qt::LowEventPriority;
    mapConstants[L"Qt.MinimumSize"] = Qt::MinimumSize;
    mapConstants[L"Qt.PreferredSize"] = Qt::PreferredSize;
    mapConstants[L"Qt.MaximumSize"] = Qt::MaximumSize;
    mapConstants[L"Qt.MinimumDescent"] = Qt::MinimumDescent;
    mapConstants[L"Qt.NSizeHints"] = Qt::NSizeHints;
    mapConstants[L"Qt.NoSection"] = Qt::NoSection;
    mapConstants[L"Qt.LeftSection"] = Qt::LeftSection;
    mapConstants[L"Qt.TopLeftSection"] = Qt::TopLeftSection;
    mapConstants[L"Qt.TopSection"] = Qt::TopSection;
    mapConstants[L"Qt.TopRightSection"] = Qt::TopRightSection;
    mapConstants[L"Qt.RightSection"] = Qt::RightSection;
    mapConstants[L"Qt.BottomRightSection"] = Qt::BottomRightSection;
    mapConstants[L"Qt.BottomSection"] = Qt::BottomSection;
    mapConstants[L"Qt.BottomLeftSection"] = Qt::BottomLeftSection;
    mapConstants[L"Qt.TitleBarArea"] = Qt::TitleBarArea;
    mapConstants[L"Qt.DeviceCoordinates"] = Qt::DeviceCoordinates;
    mapConstants[L"Qt.LogicalCoordinates"] = Qt::LogicalCoordinates;
    mapConstants[L"Qt.TouchPointPressed"] = Qt::TouchPointPressed;
    mapConstants[L"Qt.TouchPointMoved"] = Qt::TouchPointMoved;
    mapConstants[L"Qt.TouchPointStationary"] = Qt::TouchPointStationary;
    mapConstants[L"Qt.TouchPointReleased"] = Qt::TouchPointReleased;
    mapConstants[L"Qt.TapGesture"] = Qt::TapGesture;
    mapConstants[L"Qt.TapAndHoldGesture"] = Qt::TapAndHoldGesture;
    mapConstants[L"Qt.PanGesture"] = Qt::PanGesture;
    mapConstants[L"Qt.PinchGesture"] = Qt::PinchGesture;
    mapConstants[L"Qt.SwipeGesture"] = Qt::SwipeGesture;
    mapConstants[L"Qt.CustomGesture"] = Qt::CustomGesture;
    mapConstants[L"Qt.LastGestureType"] = Qt::LastGestureType;
    mapConstants[L"Qt.DontStartGestureOnChildren"] = Qt::DontStartGestureOnChildren;
    mapConstants[L"Qt.ReceivePartialGestures"] = Qt::ReceivePartialGestures;
    mapConstants[L"Qt.IgnoredGesturesPropagateToParent"] = Qt::IgnoredGesturesPropagateToParent;
    mapConstants[L"Qt.BeginNativeGesture"] = Qt::BeginNativeGesture;
    mapConstants[L"Qt.EndNativeGesture"] = Qt::EndNativeGesture;
    mapConstants[L"Qt.PanNativeGesture"] = Qt::PanNativeGesture;
    mapConstants[L"Qt.ZoomNativeGesture"] = Qt::ZoomNativeGesture;
    mapConstants[L"Qt.SmartZoomNativeGesture"] = Qt::SmartZoomNativeGesture;
    mapConstants[L"Qt.RotateNativeGesture"] = Qt::RotateNativeGesture;
    mapConstants[L"Qt.SwipeNativeGesture"] = Qt::SwipeNativeGesture;
    mapConstants[L"Qt.NavigationModeNone"] = Qt::NavigationModeNone;
    mapConstants[L"Qt.NavigationModeKeypadTabOrder"] = Qt::NavigationModeKeypadTabOrder;
    mapConstants[L"Qt.NavigationModeKeypadDirectional"] = Qt::NavigationModeKeypadDirectional;
    mapConstants[L"Qt.NavigationModeCursorAuto"] = Qt::NavigationModeCursorAuto;
    mapConstants[L"Qt.NavigationModeCursorForceVisible"] = Qt::NavigationModeCursorForceVisible;
    mapConstants[L"Qt.LogicalMoveStyle"] = Qt::LogicalMoveStyle;
    mapConstants[L"Qt.VisualMoveStyle"] = Qt::VisualMoveStyle;
    mapConstants[L"Qt.PreciseTimer"] = Qt::PreciseTimer;
    mapConstants[L"Qt.CoarseTimer"] = Qt::CoarseTimer;
    mapConstants[L"Qt.VeryCoarseTimer"] = Qt::VeryCoarseTimer;
#if QT_VERSION >= QT_VERSION_CHECK(5, 15, 0)
    mapConstants[L"Qt.NoScrollPhase"] = Qt::NoScrollPhase;
#endif
#if QT_VERSION >= QT_VERSION_CHECK(5, 15, 0)
    mapConstants[L"Qt.ScrollBegin"] = Qt::ScrollBegin;
    mapConstants[L"Qt.ScrollUpdate"] = Qt::ScrollUpdate;
    mapConstants[L"Qt.ScrollEnd"] = Qt::ScrollEnd;
#endif
#if QT_VERSION >= QT_VERSION_CHECK(5, 15, 0)
    mapConstants[L"Qt.MouseEventNotSynthesized"] = Qt::MouseEventNotSynthesized;
    mapConstants[L"Qt.MouseEventSynthesizedBySystem"] = Qt::MouseEventSynthesizedBySystem;
    mapConstants[L"Qt.MouseEventSynthesizedByQt"] = Qt::MouseEventSynthesizedByQt;
    mapConstants[L"Qt.MouseEventSynthesizedByApplication"] = Qt::MouseEventSynthesizedByApplication;
    mapConstants[L"Qt.MouseEventCreatedDoubleClick"] = Qt::MouseEventCreatedDoubleClick;
    mapConstants[L"Qt.MouseEventFlagMask"] = Qt::MouseEventFlagMask;
    mapConstants[L"Qt.ChecksumIso3309"] = Qt::ChecksumIso3309;
    mapConstants[L"Qt.ChecksumItuV41"] = Qt::ChecksumItuV41;
#endif    
    mapConstants[L"Qt.Widget"] = Qt::Widget;
}
//=============================================================================
wstringVector
QtConstants()
{
    if (mapConstants.empty()) {
        initializeQtConstantsMap();
    }
    wstringVector names;
    for (std::map<std::wstring, int>::iterator it = mapConstants.begin(); it != mapConstants.end();
         ++it) {
        names.push_back(it->first);
    }
    return names;
}
//=============================================================================
ArrayOf
QtConstant(std::wstring name, bool& found)
{
    ArrayOf res;
    found = false;
    if (mapConstants.empty()) {
        initializeQtConstantsMap();
    }
    std::map<std::wstring, int>::iterator it = mapConstants.find(name);
    if (it != mapConstants.end()) {
        res = ArrayOf::doubleConstructor(mapConstants[name]);
        found = true;
    }
    return res;
}
//=============================================================================
}
//=============================================================================
